import{S as Ju,i as Ku,s as Xu,e as n,k as p,w as v,t as a,M as Qu,c as r,d as t,m as h,a as s,x as b,h as i,b as l,G as e,g,y as k,q as w,o as T,B as $,v as Zu,L as Ge}from"../../chunks/vendor-hf-doc-builder.js";import{T as Vt}from"../../chunks/Tip-hf-doc-builder.js";import{D as F}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ue}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as X}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Oe}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Yu(W){let c,x,f,u,y;return u=new Ue({props:{code:`from transformers import WhisperConfig, WhisperModel

# Initializing a Whisper tiny style configuration
configuration = WhisperConfig()

# Initializing a model (with random weights) from the tiny style configuration
model = WhisperModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> WhisperConfig, WhisperModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Whisper tiny style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = WhisperConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the tiny style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function ef(W){let c,x,f,u,y;return u=new Ue({props:{code:`# instantiate the tokenizer and set the prefix token to Spanish
tokenizer = WhisperTokenizer.from_pretrained("openai/whisper-tiny", language="spanish")
# now switch the prefix token from Spanish to French
tokenizer.set_prefix_tokens(language="french")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># instantiate the tokenizer and set the prefix token to Spanish</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = WhisperTokenizer.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>, language=<span class="hljs-string">&quot;spanish&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now switch the prefix token from Spanish to French</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.set_prefix_tokens(language=<span class="hljs-string">&quot;french&quot;</span>)`}}),{c(){c=n("p"),x=a("update the prefix tokens as required when fine-tuning. Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"update the prefix tokens as required when fine-tuning. Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function tf(W){let c,x,f,u,y;return u=new Ue({props:{code:`# instantiate the tokenizer and set the prefix token to Spanish
tokenizer = WhisperTokenizerFast.from_pretrained("openai/whisper-tiny", language="spanish")
# now switch the prefix token from Spanish to French
tokenizer.set_prefix_tokens(language="french")`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># instantiate the tokenizer and set the prefix token to Spanish</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = WhisperTokenizerFast.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>, language=<span class="hljs-string">&quot;spanish&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># now switch the prefix token from Spanish to French</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.set_prefix_tokens(language=<span class="hljs-string">&quot;french&quot;</span>)`}}),{c(){c=n("p"),x=a("update the prefix tokens as required when fine-tuning. Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"update the prefix tokens as required when fine-tuning. Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function of(W){let c,x,f,u,y,d,m,z,L,P,C;return{c(){c=n("p"),x=a(`This class method is simply calling the feature extractor
`),f=n("a"),u=a("from_pretrained()"),y=a(`, image processor
`),d=n("a"),m=a("ImageProcessingMixin"),z=a(` and the tokenizer
`),L=n("code"),P=a("~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),C=a(` methods. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(j){c=r(j,"P",{});var A=s(c);x=i(A,`This class method is simply calling the feature extractor
`),f=r(A,"A",{href:!0});var le=s(f);u=i(le,"from_pretrained()"),le.forEach(t),y=i(A,`, image processor
`),d=r(A,"A",{href:!0});var Mn=s(d);m=i(Mn,"ImageProcessingMixin"),Mn.forEach(t),z=i(A,` and the tokenizer
`),L=r(A,"CODE",{});var Ve=s(L);P=i(Ve,"~tokenization_utils_base.PreTrainedTokenizer.from_pretrained"),Ve.forEach(t),C=i(A,` methods. Please refer to the docstrings of the
methods above for more information.`),A.forEach(t),this.h()},h(){l(f,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained"),l(d,"href","/docs/transformers/main/en/internal/image_processing_utils#transformers.ImageProcessingMixin")},m(j,A){g(j,c,A),e(c,x),e(c,f),e(f,u),e(c,y),e(c,d),e(d,m),e(c,z),e(c,L),e(L,P),e(c,C)},d(j){j&&t(c)}}}function nf(W){let c,x,f,u,y,d,m,z;return{c(){c=n("p"),x=a("This class method is simply calling "),f=n("a"),u=a("save_pretrained()"),y=a(` and
`),d=n("a"),m=a("save_pretrained()"),z=a(`. Please refer to the docstrings of the
methods above for more information.`),this.h()},l(L){c=r(L,"P",{});var P=s(c);x=i(P,"This class method is simply calling "),f=r(P,"A",{href:!0});var C=s(f);u=i(C,"save_pretrained()"),C.forEach(t),y=i(P,` and
`),d=r(P,"A",{href:!0});var j=s(d);m=i(j,"save_pretrained()"),j.forEach(t),z=i(P,`. Please refer to the docstrings of the
methods above for more information.`),P.forEach(t),this.h()},h(){l(f,"href","/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained"),l(d,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.save_pretrained")},m(L,P){g(L,c,P),e(c,x),e(c,f),e(f,u),e(c,y),e(c,d),e(d,m),e(c,z)},d(L){L&&t(c)}}}function rf(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function sf(W){let c,x,f,u,y;return u=new Ue({props:{code:`import torch
from transformers import AutoFeatureExtractor, WhisperModel
from datasets import load_dataset

model = WhisperModel.from_pretrained("openai/whisper-base")
feature_extractor = AutoFeatureExtractor.from_pretrained("openai/whisper-base")
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")
input_features = inputs.input_features
decoder_input_ids = torch.tensor([[1, 1]]) * model.config.decoder_start_token_id
last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, WhisperModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = torch.tensor([[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>]]) * model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>, <span class="hljs-number">512</span>]`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function af(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function df(W){let c,x,f,u,y;return u=new Ue({props:{code:`import torch
from transformers import AutoProcessor, WhisperForConditionalGeneration
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("openai/whisper-tiny.en")
model = WhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")

inputs = processor(ds[0]["audio"]["array"], return_tensors="pt")
input_features = inputs.input_features

generated_ids = model.generate(inputs=input_features)

transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, WhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = WhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(inputs=input_features)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function lf(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function cf(W){let c,x,f,u,y;return u=new Ue({props:{code:`import tensorflow as tf
from transformers import TFWhisperModel, AutoFeatureExtractor
from datasets import load_dataset

model = TFWhisperModel.from_pretrained("openai/whisper-base")
feature_extractor = AutoFeatureExtractor.from_pretrained("openai/whisper-base")
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = feature_extractor(ds[0]["audio"]["array"], return_tensors="tf")
input_features = inputs.input_features
decoder_input_ids = tf.convert_to_tensor([[1, 1]]) * model.config.decoder_start_token_id
last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> TFWhisperModel, AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>decoder_input_ids = tf.convert_to_tensor([[<span class="hljs-number">1</span>, <span class="hljs-number">1</span>]]) * model.config.decoder_start_token_id
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = model(input_features, decoder_input_ids=decoder_input_ids).last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>, <span class="hljs-number">512</span>]`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function pf(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function hf(W){let c,x,f,u,y;return u=new Ue({props:{code:`import tensorflow as tf
from transformers import AutoProcessor, TFWhisperForConditionalGeneration
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("openai/whisper-tiny.en")
model = TFWhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")

inputs = processor(ds[0]["audio"]["array"], return_tensors="tf")
input_features = inputs.input_features

generated_ids = model.generate(input_features=input_features)

transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, TFWhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFWhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features

<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(input_features=input_features)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function mf(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function uf(W){let c,x,f,u,y;return u=new Ue({props:{code:`from transformers import AutoTokenizer, FlaxWhisperModel

tokenizer = AutoTokenizer.from_pretrained("openai/whisper-tiny")
model = FlaxWhisperModel.from_pretrained("openai/whisper-tiny")

inputs = tokenizer("Hello, my dog is cute", return_tensors="jax")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, FlaxWhisperModel

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWhisperModel.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;jax&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){c=n("p"),x=a("Example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function ff(W){let c,x,f,u,y;return{c(){c=n("p"),x=a("Although the recipe for forward pass needs to be defined within this function, one should call the "),f=n("code"),u=a("Module"),y=a(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),f=r(m,"CODE",{});var z=s(f);u=i(z,"Module"),z.forEach(t),y=i(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(t)},m(d,m){g(d,c,m),e(c,x),e(c,f),e(f,u),e(c,y)},d(d){d&&t(c)}}}function _f(W){let c,x,f,u,y;return u=new Ue({props:{code:`from transformers import WhisperProcessor, FlaxWhisperForConditionalGeneration
from datasets import load_dataset

processor = WhisperProcessor.from_pretrained("openai/whisper-tiny.en")
model = FlaxWhisperForConditionalGeneration.from_pretrained("openai/whisper-tiny.en", from_pt=True)
ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor(ds[0]["audio"]["array"], return_tensors="np")
input_features = inputs.input_features
generated_ids = model.generate(input_ids=input_features)
transcription = processor.batch_decode(generated_ids, skip_special_tokens=True)[0]
transcription`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> WhisperProcessor, FlaxWhisperForConditionalGeneration
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = WhisperProcessor.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = FlaxWhisperForConditionalGeneration.from_pretrained(<span class="hljs-string">&quot;openai/whisper-tiny.en&quot;</span>, from_pt=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>input_features = inputs.input_features
<span class="hljs-meta">&gt;&gt;&gt; </span>generated_ids = model.generate(input_ids=input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(generated_ids, skip_special_tokens=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>transcription
<span class="hljs-string">&#x27; Mr. Quilter is the apostle of the middle classes, and we are glad to welcome his gospel.&#x27;</span>`}}),{c(){c=n("p"),x=a("Transcription example:"),f=p(),v(u.$$.fragment)},l(d){c=r(d,"P",{});var m=s(c);x=i(m,"Transcription example:"),m.forEach(t),f=h(d),b(u.$$.fragment,d)},m(d,m){g(d,c,m),e(c,x),g(d,f,m),k(u,d,m),y=!0},p:Ge,i(d){y||(w(u.$$.fragment,d),y=!0)},o(d){T(u.$$.fragment,d),y=!1},d(d){d&&t(c),d&&t(f),$(u,d)}}}function gf(W){let c,x,f,u,y,d,m,z,L,P,C,j,A,le,Mn,Ve,li,Ks,Be,ci,Bt,pi,hi,Xs,Pn,mi,Qs,jn,qr,ui,Zs,Cn,fi,Ys,Q,Er,_i,gi,Ht,yi,An,vi,bi,ki,Mr,wi,Ti,Rt,$i,Nn,xi,Wi,ea,Z,Fi,Jt,zi,qi,Kt,Ei,Mi,Xt,Pi,ji,ta,ve,He,Pr,Qt,Ci,jr,Ai,oa,U,Zt,Ni,be,Si,Sn,Ii,Li,Yt,Di,Oi,Gi,ke,Ui,In,Vi,Bi,Ln,Hi,Ri,Ji,Re,na,we,Je,Cr,eo,Ki,Ar,Xi,ra,q,to,Qi,Nr,Zi,Yi,oo,ed,Dn,td,od,nd,ce,no,rd,Sr,sd,ad,Ke,id,Xe,ro,dd,Ir,ld,cd,Qe,so,pd,ao,hd,Lr,md,ud,fd,pe,io,_d,On,gd,Gn,yd,vd,Dr,bd,kd,Un,lo,sa,Te,Ze,Or,co,wd,Gr,Td,aa,E,po,$d,ho,xd,Ur,Wd,Fd,zd,mo,qd,Vn,Ed,Md,Pd,he,uo,jd,Vr,Cd,Ad,Ye,Nd,et,fo,Sd,Br,Id,Ld,tt,_o,Dd,go,Od,Hr,Gd,Ud,Vd,me,yo,Bd,Bn,Hd,Hn,Rd,Jd,Rr,Kd,Xd,Rn,vo,ia,$e,ot,Jr,bo,Qd,Kr,Zd,da,D,ko,Yd,Xr,el,tl,wo,ol,Jn,nl,rl,sl,xe,al,Qr,il,dl,Zr,ll,cl,pl,nt,To,hl,Yr,ml,la,We,rt,es,$o,ul,ts,fl,ca,M,xo,_l,os,gl,yl,G,Kn,vl,bl,Xn,kl,wl,Qn,Tl,$l,Wo,ns,xl,Wl,Fl,Zn,zl,ql,El,st,Fo,Ml,V,Pl,rs,jl,Cl,zo,ss,Al,Nl,Sl,as,Il,Ll,qo,is,Dl,Ol,Gl,Ul,ue,Eo,Vl,ds,Bl,Hl,at,Rl,fe,Mo,Jl,Po,Kl,Yn,Xl,Ql,Zl,it,Yl,dt,jo,ec,Co,tc,er,oc,nc,rc,lt,Ao,sc,No,ac,tr,ic,dc,pa,Fe,ct,ls,So,lc,cs,cc,ha,O,Io,pc,Lo,hc,or,mc,uc,fc,Do,_c,Oo,gc,yc,vc,Y,Go,bc,ze,kc,nr,wc,Tc,ps,$c,xc,Wc,pt,Fc,ht,zc,mt,Uo,qc,Vo,Ec,Bo,Mc,Pc,ma,qe,ut,hs,Ho,jc,ms,Cc,ua,B,Ro,Ac,Jo,Nc,rr,Sc,Ic,Lc,Ko,Dc,Xo,Oc,Gc,Uc,ee,Qo,Vc,Ee,Bc,sr,Hc,Rc,us,Jc,Kc,Xc,ft,Qc,_t,fa,Me,gt,fs,Zo,Zc,_s,Yc,_a,H,Yo,ep,en,tp,ar,op,np,rp,tn,sp,on,ap,ip,dp,te,nn,lp,Pe,cp,ir,pp,hp,gs,mp,up,fp,yt,_p,vt,ga,je,bt,ys,rn,gp,vs,yp,ya,R,sn,vp,an,bp,dr,kp,wp,Tp,dn,$p,ln,xp,Wp,Fp,oe,cn,zp,Ce,qp,lr,Ep,Mp,bs,Pp,jp,Cp,kt,Ap,wt,va,Ae,Tt,ks,pn,Np,ws,Sp,ba,J,hn,Ip,Ne,Lp,cr,Dp,Op,mn,Gp,Up,Vp,se,Ts,un,Bp,Hp,$s,fn,Rp,Jp,xs,_n,Kp,Xp,Ws,gn,Qp,Zp,ne,yn,Yp,Se,eh,Fs,th,oh,zs,nh,rh,sh,$t,ah,xt,ka,Ie,Wt,qs,vn,ih,Es,dh,wa,K,bn,lh,Le,ch,pr,ph,hh,kn,mh,uh,fh,ae,Ms,wn,_h,gh,Ps,Tn,yh,vh,js,$n,bh,kh,Cs,xn,wh,Th,re,Wn,$h,De,xh,As,Wh,Fh,Ns,zh,qh,Eh,Ft,Mh,zt,Ta;return d=new X({}),le=new X({}),Qt=new X({}),Zt=new F({props:{name:"class transformers.WhisperConfig",anchor:"transformers.WhisperConfig",parameters:[{name:"vocab_size",val:" = 51865"},{name:"num_mel_bins",val:" = 80"},{name:"encoder_layers",val:" = 6"},{name:"encoder_attention_heads",val:" = 4"},{name:"decoder_layers",val:" = 6"},{name:"decoder_attention_heads",val:" = 4"},{name:"decoder_ffn_dim",val:" = 1536"},{name:"encoder_ffn_dim",val:" = 1536"},{name:"encoder_layerdrop",val:" = 0.0"},{name:"decoder_layerdrop",val:" = 0.0"},{name:"decoder_start_token_id",val:" = 50257"},{name:"use_cache",val:" = True"},{name:"is_encoder_decoder",val:" = True"},{name:"activation_function",val:" = 'gelu'"},{name:"d_model",val:" = 256"},{name:"dropout",val:" = 0.0"},{name:"attention_dropout",val:" = 0.0"},{name:"activation_dropout",val:" = 0.0"},{name:"init_std",val:" = 0.02"},{name:"scale_embedding",val:" = False"},{name:"max_source_positions",val:" = 1500"},{name:"max_target_positions",val:" = 448"},{name:"pad_token_id",val:" = 50256"},{name:"bos_token_id",val:" = 50257"},{name:"eos_token_id",val:" = 50256"},{name:"suppress_tokens",val:" = None"},{name:"begin_suppress_tokens",val:" = [220, 50256]"},{name:"apply_spec_augment",val:" = False"},{name:"mask_time_prob",val:" = 0.05"},{name:"mask_time_length",val:" = 10"},{name:"mask_time_min_masks",val:" = 2"},{name:"mask_feature_prob",val:" = 0.0"},{name:"mask_feature_length",val:" = 10"},{name:"mask_feature_min_masks",val:" = 0"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 51865) &#x2014;
Vocabulary size of the Whisper model. Defines the number of different tokens that can be represented by the
<code>decoder_input_ids</code> passed when calling <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel">WhisperModel</a>`,name:"vocab_size"},{anchor:"transformers.WhisperConfig.num_mel_bins",description:`<strong>num_mel_bins</strong> (<code>int</code>, <em>optional</em>, defaults to 80) &#x2014;
Number of mel features used per input features. Should correspond to the value used in the
<code>WhisperProcessor</code> class.`,name:"num_mel_bins"},{anchor:"transformers.WhisperConfig.encoder_layers",description:`<strong>encoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of encoder layers.`,name:"encoder_layers"},{anchor:"transformers.WhisperConfig.decoder_layers",description:`<strong>decoder_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 6) &#x2014;
Number of decoder layers.`,name:"decoder_layers"},{anchor:"transformers.WhisperConfig.encoder_attention_heads",description:`<strong>encoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"encoder_attention_heads"},{anchor:"transformers.WhisperConfig.decoder_attention_heads",description:`<strong>decoder_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 4) &#x2014;
Number of attention heads for each attention layer in the Transformer decoder.`,name:"decoder_attention_heads"},{anchor:"transformers.WhisperConfig.encoder_ffn_dim",description:`<strong>encoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in encoder.`,name:"encoder_ffn_dim"},{anchor:"transformers.WhisperConfig.decoder_ffn_dim",description:`<strong>decoder_ffn_dim</strong> (<code>int</code>, <em>optional</em>, defaults to 1536) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in decoder.`,name:"decoder_ffn_dim"},{anchor:"transformers.WhisperConfig.encoder_layerdrop",description:`<strong>encoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the encoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"encoder_layerdrop"},{anchor:"transformers.WhisperConfig.decoder_layerdrop",description:`<strong>decoder_layerdrop</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The LayerDrop probability for the decoder. See the [LayerDrop paper](see <a href="https://arxiv.org/abs/1909.11556" rel="nofollow">https://arxiv.org/abs/1909.11556</a>)
for more details.`,name:"decoder_layerdrop"},{anchor:"transformers.WhisperConfig.decoder_start_token_id",description:`<strong>decoder_start_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
Corresponds to the &#x201D;&lt;|startoftranscript|&gt;&#x201D; token, which is automatically used when no <code>decoder_input_ids</code>
are provided to the <code>generate</code> function. It is used to guide the model\`s generation process depending on
the task.`,name:"decoder_start_token_id"},{anchor:"transformers.WhisperConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models).`,name:"use_cache"},{anchor:"transformers.WhisperConfig.is_encoder_decoder",description:`<strong>is_encoder_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the model is used as an encoder/decoder or not.`,name:"is_encoder_decoder"},{anchor:"transformers.WhisperConfig.activation_function",description:`<strong>activation_function</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"activation_function"},{anchor:"transformers.WhisperConfig.d_model",description:`<strong>d_model</strong> (<code>int</code>, <em>optional</em>, defaults to 256) &#x2014;
Dimensionality of the layers.`,name:"d_model"},{anchor:"transformers.WhisperConfig.dropout",description:`<strong>dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"dropout"},{anchor:"transformers.WhisperConfig.attention_dropout",description:`<strong>attention_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_dropout"},{anchor:"transformers.WhisperConfig.activation_dropout",description:`<strong>activation_dropout</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
The dropout ratio for activations inside the fully connected layer.`,name:"activation_dropout"},{anchor:"transformers.WhisperConfig.init_std",description:`<strong>init_std</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"init_std"},{anchor:"transformers.WhisperConfig.scale_embedding",description:`<strong>scale_embedding</strong> (<code>bool</code>, <em>optional</em>, defaults to False) &#x2014;
Scale embeddings by diving by sqrt(d_model).`,name:"scale_embedding"},{anchor:"transformers.WhisperConfig.max_source_positions",description:`<strong>max_source_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 1500) &#x2014;
The maximum sequence length of log-mel filter-bank features that this model might ever be used with.`,name:"max_source_positions"},{anchor:"transformers.WhisperConfig.max_target_positions",description:`<strong>max_target_positions</strong> (<code>int</code>, <em>optional</em>, defaults to 448) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_target_positions"},{anchor:"transformers.WhisperConfig.pad_token_id",description:`<strong>pad_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50256) &#x2014;
Padding token id.`,name:"pad_token_id"},{anchor:"transformers.WhisperConfig.bos_token_id",description:`<strong>bos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50256) &#x2014;
Begin of stream token id.`,name:"bos_token_id"},{anchor:"transformers.WhisperConfig.eos_token_id",description:`<strong>eos_token_id</strong> (<code>int</code>, <em>optional</em>, defaults to 50257) &#x2014;
End of stream token id.`,name:"eos_token_id"},{anchor:"transformers.WhisperConfig.suppress_tokens",description:`<strong>suppress_tokens</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
A list containing the non-speech tokens that will be used by the logit processor in the <code>generate</code>
function. NON_SPEECH_TOKENS and NON_SPEECH_TOKENS_MULTI each correspond to the <code>english-only</code> and the
<code>multilingual</code> model.`,name:"suppress_tokens"},{anchor:"transformers.WhisperConfig.begin_suppress_tokens",description:`<strong>begin_suppress_tokens</strong> (<code>List[int]</code>, <em>optional</em>, defaults to <code>[220,50256]</code>) &#x2014;
A list containing tokens that will be supressed at the beginning of the sampling process. Initialized as
the token for <code>&quot; &quot;</code> (<code>blank_token_id</code>) and the <code>eos_token_id</code>`,name:"begin_suppress_tokens"},{anchor:"transformers.WhisperConfig.apply_spec_augment",description:`<strong>apply_spec_augment</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to apply <em>SpecAugment</em> data augmentation to the outputs of the feature encoder. For reference see
<a href="https://arxiv.org/abs/1904.08779" rel="nofollow">SpecAugment: A Simple Data Augmentation Method for Automatic Speech
Recognition</a>.`,name:"apply_spec_augment"},{anchor:"transformers.WhisperConfig.mask_time_prob",description:`<strong>mask_time_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.05) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the time axis which will be masked. The masking
procecure generates <code>mask_time_prob*len(time_axis)/mask_time_length</code> independent masks over the axis. If
reasoning from the propability of each feature vector to be chosen as the start of the vector span to be
masked, <em>mask_time_prob</em> should be <code>prob_vector_start*mask_time_length</code>. Note that overlap may decrease the
actual percentage of masked vectors. This is only relevant if <code>apply_spec_augment == True</code>.`,name:"mask_time_prob"},{anchor:"transformers.WhisperConfig.mask_time_length",description:`<strong>mask_time_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the time axis.`,name:"mask_time_length"},{anchor:"transformers.WhisperConfig.mask_time_min_masks",description:`<strong>mask_time_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 2), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the time axis, each time step,
irrespectively of <code>mask_feature_prob</code>. Only relevant if &#x201D;mask_time_prob*len(time_axis)/mask_time_length &lt;
mask_time_min_masks&#x201D;`,name:"mask_time_min_masks"},{anchor:"transformers.WhisperConfig.mask_feature_prob",description:`<strong>mask_feature_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Percentage (between 0 and 1) of all feature vectors along the feature axis which will be masked. The
masking procecure generates <code>mask_feature_prob*len(feature_axis)/mask_time_length</code> independent masks over
the axis. If reasoning from the propability of each feature vector to be chosen as the start of the vector
span to be masked, <em>mask_feature_prob</em> should be <code>prob_vector_start*mask_feature_length</code>. Note that overlap
may decrease the actual percentage of masked vectors. This is only relevant if <code>apply_spec_augment is True</code>.`,name:"mask_feature_prob"},{anchor:"transformers.WhisperConfig.mask_feature_length",description:`<strong>mask_feature_length</strong> (<code>int</code>, <em>optional</em>, defaults to 10) &#x2014;
Length of vector span along the feature axis.`,name:"mask_feature_length"},{anchor:"transformers.WhisperConfig.mask_feature_min_masks",description:`<strong>mask_feature_min_masks</strong> (<code>int</code>, <em>optional</em>, defaults to 0), &#x2014;
The minimum number of masks of length <code>mask_feature_length</code> generated along the feature axis, each time
step, irrespectively of <code>mask_feature_prob</code>. Only relevant if
<code>mask_feature_prob*len(feature_axis)/mask_feature_length &lt; mask_feature_min_masks</code>.`,name:"mask_feature_min_masks"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/configuration_whisper.py#L62"}}),Re=new Oe({props:{anchor:"transformers.WhisperConfig.example",$$slots:{default:[Yu]},$$scope:{ctx:W}}}),eo=new X({}),to=new F({props:{name:"class transformers.WhisperTokenizer",anchor:"transformers.WhisperTokenizer",parameters:[{name:"vocab_file",val:""},{name:"merges_file",val:""},{name:"normalizer_file",val:" = None"},{name:"errors",val:" = 'replace'"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|startoftranscript|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"pad_token",val:" = None"},{name:"add_prefix_space",val:" = False"},{name:"language",val:" = None"},{name:"task",val:" = None"},{name:"predict_timestamps",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.WhisperTokenizer.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.WhisperTokenizer.normalizer_file",description:`<strong>normalizer_file</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to the normalizer_file file.`,name:"normalizer_file"},{anchor:"transformers.WhisperTokenizer.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.WhisperTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|endoftext|&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.WhisperTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|startoftranscript|&gt;&quot;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.WhisperTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;|endoftext|&gt;&quot;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.WhisperTokenizer.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word.`,name:"add_prefix_space"},{anchor:"transformers.WhisperTokenizer.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the transcription text. The corresponding language id token is appended to the start of the
sequence for multilingual speech recognition and speech translation tasks, e.g. for Spanish the token
<code>&quot;&lt;|es|&gt;&quot;</code> is appended to the start of sequence. This should be used for multilingual fine-tuning only.`,name:"language"},{anchor:"transformers.WhisperTokenizer.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Task identifier to append at the start of sequence (if any). This should be used for mulitlingual
fine-tuning, with <code>&quot;transcribe&quot;</code> for speech recognition and <code>&quot;translate&quot;</code> for speech translation.`,name:"task"},{anchor:"transformers.WhisperTokenizer.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L214"}}),no=new F({props:{name:"set_prefix_tokens",anchor:"transformers.WhisperTokenizer.set_prefix_tokens",parameters:[{name:"language",val:": str = None"},{name:"task",val:": str = None"},{name:"predict_timestamps",val:": bool = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The language of the transcription text.`,name:"language"},{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Task identifier to append at the start of sequence (if any).`,name:"task"},{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L365"}}),Ke=new Oe({props:{anchor:"transformers.WhisperTokenizer.set_prefix_tokens.example",$$slots:{default:[ef]},$$scope:{ctx:W}}}),ro=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.WhisperTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L425"}}),so=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.WhisperTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.WhisperTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L433",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),io=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.WhisperTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3029",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),lo=new F({props:{name:"save_vocabulary",anchor:"transformers.WhisperTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper.py#L643"}}),co=new X({}),po=new F({props:{name:"class transformers.WhisperTokenizerFast",anchor:"transformers.WhisperTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"merges_file",val:" = None"},{name:"normalizer_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"unk_token",val:" = '<|endoftext|>'"},{name:"bos_token",val:" = '<|startoftranscript|>'"},{name:"eos_token",val:" = '<|endoftext|>'"},{name:"add_prefix_space",val:" = False"},{name:"language",val:" = None"},{name:"task",val:" = None"},{name:"predict_timestamps",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
Path to the vocabulary file.`,name:"vocab_file"},{anchor:"transformers.WhisperTokenizerFast.merges_file",description:`<strong>merges_file</strong> (<code>str</code>) &#x2014;
Path to the merges file.`,name:"merges_file"},{anchor:"transformers.WhisperTokenizerFast.normalizer_file",description:`<strong>normalizer_file</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Path to the normalizer_file file.`,name:"normalizer_file"},{anchor:"transformers.WhisperTokenizerFast.errors",description:`<strong>errors</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;replace&quot;</code>) &#x2014;
Paradigm to follow when decoding bytes to UTF-8. See
<a href="https://docs.python.org/3/library/stdtypes.html#bytes.decode" rel="nofollow">bytes.decode</a> for more information.`,name:"errors"},{anchor:"transformers.WhisperTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.WhisperTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|startoftranscript|&gt;</code>) &#x2014;
The beginning of sequence token.`,name:"bos_token"},{anchor:"transformers.WhisperTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&lt;|endoftext|&gt;</code>) &#x2014;
The end of sequence token.`,name:"eos_token"},{anchor:"transformers.WhisperTokenizerFast.add_prefix_space",description:`<strong>add_prefix_space</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to add an initial space to the input. This allows to treat the leading word just as any
other word. (Whisper tokenizer detect beginning of words by the preceding space).`,name:"add_prefix_space"},{anchor:"transformers.WhisperTokenizerFast.trim_offsets",description:`<strong>trim_offsets</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the post-processing step should trim offsets to avoid including whitespaces.`,name:"trim_offsets"},{anchor:"transformers.WhisperTokenizerFast.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>) &#x2014;
The language of the transcription text. The corresponding language id token is appended to the start of the
sequence for multilingual speech recognition and speech translation tasks, e.g. for Spanish the token
<code>&quot;&lt;|es|&gt;&quot;</code> is appended to the start of sequence. This should be used for multilingual fine-tuning only.`,name:"language"},{anchor:"transformers.WhisperTokenizerFast.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Task identifier to append at the start of sequence (if any). This should be used for mulitlingual
fine-tuning, with <code>&quot;transcribe&quot;</code> for speech recognition and <code>&quot;translate&quot;</code> for speech translation.`,name:"task"},{anchor:"transformers.WhisperTokenizerFast.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L88"}}),uo=new F({props:{name:"set_prefix_tokens",anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens",parameters:[{name:"language",val:": str = None"},{name:"task",val:": str = None"},{name:"predict_timestamps",val:": bool = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.language",description:`<strong>language</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
The language of the transcription text.`,name:"language"},{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.task",description:`<strong>task</strong> (<code>str</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Task identifier to append at the start of sequence (if any).`,name:"task"},{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.predict_timestamps",description:`<strong>predict_timestamps</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>None</code>) &#x2014;
Whether to omit the <code>&lt;|notimestamps|&gt;</code> token at the start of the sequence.`,name:"predict_timestamps"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L346"}}),Ye=new Oe({props:{anchor:"transformers.WhisperTokenizerFast.set_prefix_tokens.example",$$slots:{default:[tf]},$$scope:{ctx:W}}}),fo=new F({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.WhisperTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:""},{name:"token_ids_1",val:" = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L421"}}),_o=new F({props:{name:"get_special_tokens_mask",anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.WhisperTokenizerFast.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L429",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),yo=new F({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:"<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014; The first tokenized sequence.",name:"token_ids_0"},{anchor:"transformers.WhisperTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:"<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014; The second tokenized sequence.",name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/tokenization_utils_base.py#L3029",returnDescription:`
<p>The token type ids.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),vo=new F({props:{name:"save_vocabulary",anchor:"transformers.WhisperTokenizerFast.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/tokenization_whisper_fast.py#L331"}}),bo=new X({}),ko=new F({props:{name:"class transformers.WhisperFeatureExtractor",anchor:"transformers.WhisperFeatureExtractor",parameters:[{name:"feature_size",val:" = 80"},{name:"sampling_rate",val:" = 16000"},{name:"hop_length",val:" = 160"},{name:"chunk_length",val:" = 30"},{name:"n_fft",val:" = 400"},{name:"padding_value",val:" = 0.0"},{name:"return_attention_mask",val:" = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperFeatureExtractor.feature_size",description:`<strong>feature_size</strong> (<code>int</code>, defaults to 80) &#x2014;
The feature dimension of the extracted features.`,name:"feature_size"},{anchor:"transformers.WhisperFeatureExtractor.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, defaults to 16000) &#x2014;
The sampling rate at which the audio files should be digitalized expressed in hertz (Hz).`,name:"sampling_rate"},{anchor:"transformers.WhisperFeatureExtractor.hop_length",description:`<strong>hop_length</strong> (<code>int</code>, defaults to 160) &#x2014;
Length of the overlaping windows for the STFT used to obtain the Mel Frequency coefficients.`,name:"hop_length"},{anchor:"transformers.WhisperFeatureExtractor.chunk_length",description:`<strong>chunk_length</strong> (<code>int</code>, defaults to 30) &#x2014;
The maximum number of chuncks of <code>sampling_rate</code> samples used to trim and pad longer or shorter audio
sequences.`,name:"chunk_length"},{anchor:"transformers.WhisperFeatureExtractor.n_fft",description:`<strong>n_fft</strong> (<code>int</code>, defaults to 400) &#x2014;
Size of the Fourier transform.`,name:"n_fft"},{anchor:"transformers.WhisperFeatureExtractor.padding_value",description:`<strong>padding_value</strong> (<code>float</code>, <em>optional</em>, defaults to 0.0) &#x2014;
Padding value used to pad the audio. Should correspond to silences.`,name:"padding_value"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/feature_extraction_whisper.py#L32"}}),To=new F({props:{name:"__call__",anchor:"transformers.WhisperFeatureExtractor.__call__",parameters:[{name:"raw_speech",val:": typing.Union[numpy.ndarray, typing.List[float], typing.List[numpy.ndarray], typing.List[typing.List[float]]]"},{name:"truncation",val:": bool = True"},{name:"pad_to_multiple_of",val:": typing.Optional[int] = None"},{name:"return_tensors",val:": typing.Union[str, transformers.utils.generic.TensorType, NoneType] = None"},{name:"return_attention_mask",val:": typing.Optional[bool] = None"},{name:"padding",val:": typing.Optional[str] = 'max_length'"},{name:"max_length",val:": typing.Optional[int] = None"},{name:"sampling_rate",val:": typing.Optional[int] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperFeatureExtractor.__call__.raw_speech",description:`<strong>raw_speech</strong> (<code>np.ndarray</code>, <code>List[float]</code>, <code>List[np.ndarray]</code>, <code>List[List[float]]</code>) &#x2014;
The sequence or batch of sequences to be padded. Each sequence can be a numpy array, a list of float
values, a list of numpy arrays or a list of list of float values.`,name:"raw_speech"},{anchor:"transformers.WhisperFeatureExtractor.__call__.truncation",description:`<strong>truncation</strong> (<code>bool</code>, <em>optional</em>, default to <code>True</code>) &#x2014;
Activates truncation to cut input sequences longer than <em>max_length</em> to <em>max_length</em>.`,name:"truncation"},{anchor:"transformers.WhisperFeatureExtractor.__call__.pad_to_multiple_of",description:`<strong>pad_to_multiple_of</strong> (<code>int</code>, <em>optional</em>, defaults to None) &#x2014;
If set will pad the sequence to a multiple of the provided value.</p>
<p>This is especially useful to enable the use of Tensor Cores on NVIDIA hardware with compute capability
<code>&gt;= 7.5</code> (Volta), or on TPUs which benefit from having sequence lengths be a multiple of 128.`,name:"pad_to_multiple_of"},{anchor:"transformers.WhisperFeatureExtractor.__call__.return_attention_mask",description:`<strong>return_attention_mask</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether to return the attention mask. If left to the default, will return the attention mask according
to the specific feature_extractor&#x2019;s default.</p>
<p><a href="../glossary#attention-mask">What are attention masks?</a></p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>For Whisper models, <code>attention_mask</code> should always be passed for batched inference, to avoid subtle
bugs.</p>

					</div>`,name:"return_attention_mask"},{anchor:"transformers.WhisperFeatureExtractor.__call__.return_tensors",description:`<strong>return_tensors</strong> (<code>str</code> or <a href="/docs/transformers/main/en/internal/file_utils#transformers.TensorType">TensorType</a>, <em>optional</em>) &#x2014;
If set, will return tensors instead of list of python integers. Acceptable values are:</p>
<ul>
<li><code>&apos;tf&apos;</code>: Return TensorFlow <code>tf.constant</code> objects.</li>
<li><code>&apos;pt&apos;</code>: Return PyTorch <code>torch.Tensor</code> objects.</li>
<li><code>&apos;np&apos;</code>: Return Numpy <code>np.ndarray</code> objects.</li>
</ul>`,name:"return_tensors"},{anchor:"transformers.WhisperFeatureExtractor.__call__.sampling_rate",description:`<strong>sampling_rate</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The sampling rate at which the <code>raw_speech</code> input was sampled. It is strongly recommended to pass
<code>sampling_rate</code> at the forward call to prevent silent errors and allow automatic speech recognition
pipeline.`,name:"sampling_rate"},{anchor:"transformers.WhisperFeatureExtractor.__call__.padding_value",description:`<strong>padding_value</strong> (<code>float</code>, defaults to 0.0) &#x2014;
The value that is used to fill the padding values / vectors.`,name:"padding_value"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/feature_extraction_whisper.py#L218"}}),$o=new X({}),xo=new F({props:{name:"class transformers.WhisperProcessor",anchor:"transformers.WhisperProcessor",parameters:[{name:"feature_extractor",val:""},{name:"tokenizer",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.feature_extractor",description:`<strong>feature_extractor</strong> (<code>WhisperFeatureExtractor</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a>. The feature extractor is a required input.`,name:"feature_extractor"},{anchor:"transformers.WhisperProcessor.tokenizer",description:`<strong>tokenizer</strong> (<code>WhisperTokenizer</code>) &#x2014;
An instance of <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. The tokenizer is a required input.`,name:"tokenizer"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L22"}}),Fo=new F({props:{name:"__call__",anchor:"transformers.WhisperProcessor.__call__",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L47"}}),Eo=new F({props:{name:"from_pretrained",anchor:"transformers.WhisperProcessor.from_pretrained",parameters:[{name:"pretrained_model_name_or_path",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.from_pretrained.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
This can be either:</p>
<ul>
<li>a string, the <em>model id</em> of a pretrained feature_extractor hosted inside a model repo on
huggingface.co. Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or
namespaced under a user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>a path to a <em>directory</em> containing a feature extractor file saved using the
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.save_pretrained">save_pretrained()</a> method, e.g., <code>./my_model_directory/</code>.</li>
<li>a path or url to a saved feature extractor JSON <em>file</em>, e.g.,
<code>./my_model_directory/preprocessor_config.json</code>.
**kwargs &#x2014;
Additional keyword arguments passed along to both
<a href="/docs/transformers/main/en/main_classes/feature_extractor#transformers.FeatureExtractionMixin.from_pretrained">from_pretrained()</a> and
<code>~tokenization_utils_base.PreTrainedTokenizer.from_pretrained</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L153"}}),at=new Vt({props:{$$slots:{default:[of]},$$scope:{ctx:W}}}),Mo=new F({props:{name:"save_pretrained",anchor:"transformers.WhisperProcessor.save_pretrained",parameters:[{name:"save_directory",val:""},{name:"push_to_hub",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.WhisperProcessor.save_pretrained.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory where the feature extractor JSON file and the tokenizer files will be saved (directory will
be created if it does not exist).`,name:"save_directory"},{anchor:"transformers.WhisperProcessor.save_pretrained.push_to_hub",description:`<strong>push_to_hub</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to push your model to the Hugging Face model hub after saving it. You can specify the
repository you want to push to with <code>repo_id</code> (will default to the name of <code>save_directory</code> in your
namespace).
kwargs &#x2014;
Additional key word arguments passed along to the <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.push_to_hub">push_to_hub()</a> method.`,name:"push_to_hub"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/processing_utils.py#L91"}}),it=new Vt({props:{$$slots:{default:[nf]},$$scope:{ctx:W}}}),jo=new F({props:{name:"batch_decode",anchor:"transformers.WhisperProcessor.batch_decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L81"}}),Ao=new F({props:{name:"decode",anchor:"transformers.WhisperProcessor.decode",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/processing_whisper.py#L88"}}),So=new X({}),Io=new F({props:{name:"class transformers.WhisperModel",anchor:"transformers.WhisperModel",parameters:[{name:"config",val:": WhisperConfig"}],parametersDescription:[{anchor:"transformers.WhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1101"}}),Go=new F({props:{name:"forward",anchor:"transformers.WhisperModel.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.WhisperModel.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the mel features, padding and conversion into a
tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.WhisperModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing <em>SpecAugment</em> data augmentation on padding token indices. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.WhisperModel.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Whisper uses the <code>decoder_start_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.WhisperModel.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the BART
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.WhisperModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.WhisperModel.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.WhisperModel.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.WhisperModel.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.WhisperModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.WhisperModel.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.WhisperModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.WhisperModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.WhisperModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.WhisperModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1174",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqModelOutput"
>transformers.modeling_outputs.Seq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),pt=new Vt({props:{$$slots:{default:[rf]},$$scope:{ctx:W}}}),ht=new Oe({props:{anchor:"transformers.WhisperModel.forward.example",$$slots:{default:[sf]},$$scope:{ctx:W}}}),Uo=new F({props:{name:"_mask_input_features",anchor:"transformers.WhisperModel._mask_input_features",parameters:[{name:"input_features",val:": FloatTensor"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1131"}}),Ho=new X({}),Ro=new F({props:{name:"class transformers.WhisperForConditionalGeneration",anchor:"transformers.WhisperForConditionalGeneration",parameters:[{name:"config",val:": WhisperConfig"}],parametersDescription:[{anchor:"transformers.WhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1271"}}),Qo=new F({props:{name:"forward",anchor:"transformers.WhisperForConditionalGeneration.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"decoder_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"cross_attn_head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.FloatTensor]]] = None"},{name:"decoder_inputs_embeds",val:": typing.Optional[typing.Tuple[torch.FloatTensor]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.WhisperForConditionalGeneration.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the mel features, padding and conversion into a
tensor of type <code>torch.FloatTensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.WhisperForConditionalGeneration.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing <em>SpecAugment</em> data augmentation on padding token indices. Mask values selected in
<code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>Whisper uses the <code>decoder_start_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the BART
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>torch.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.WhisperForConditionalGeneration.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(torch.FloatTensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.WhisperForConditionalGeneration.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.WhisperForConditionalGeneration.forward.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.WhisperForConditionalGeneration.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.WhisperForConditionalGeneration.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.WhisperForConditionalGeneration.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.WhisperForConditionalGeneration.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.WhisperForConditionalGeneration.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code>
or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored (masked), the loss is
only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_whisper.py#L1313",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_outputs.Seq2SeqLMOutput"
>transformers.modeling_outputs.Seq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ft=new Vt({props:{$$slots:{default:[af]},$$scope:{ctx:W}}}),_t=new Oe({props:{anchor:"transformers.WhisperForConditionalGeneration.forward.example",$$slots:{default:[df]},$$scope:{ctx:W}}}),Zo=new X({}),Yo=new F({props:{name:"class transformers.TFWhisperModel",anchor:"transformers.TFWhisperModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1102"}}),nn=new F({props:{name:"call",anchor:"transformers.TFWhisperModel.call",parameters:[{name:"input_features",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFWhisperModel.call.input_features",description:`<strong>input_features</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values of fbank features extracted from the raw speech waveform. Raw speech waveform can be obtained
by loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em>
via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the fbank features, padding and conversion into a
tensor of type <code>tf.Tensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.TFWhisperModel.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <code>SpeechToTextTokenizer</code>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>SpeechToText uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFWhisperModel.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.TFWhisperModel.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWhisperModel.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFWhisperModel.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFWhisperModel.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.Tensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFWhisperModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(tf.Tensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFWhisperModel.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFWhisperModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFWhisperModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFWhisperModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFWhisperModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1126",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqModelOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),yt=new Vt({props:{$$slots:{default:[lf]},$$scope:{ctx:W}}}),vt=new Oe({props:{anchor:"transformers.TFWhisperModel.call.example",$$slots:{default:[cf]},$$scope:{ctx:W}}}),rn=new X({}),sn=new F({props:{name:"class transformers.TFWhisperForConditionalGeneration",anchor:"transformers.TFWhisperForConditionalGeneration",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFWhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014;
Model configuration class with all the parameters of the model. Initializing with a config file does not
load the weights associated with the model, only the configuration. Check out the
<a href="/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1210"}}),cn=new F({props:{name:"call",anchor:"transformers.TFWhisperForConditionalGeneration.call",parameters:[{name:"input_features",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"decoder_input_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"decoder_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"cross_attn_head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_outputs",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"decoder_inputs_embeds",val:": typing.Union[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]], NoneType] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": bool = False"}],parametersDescription:[{anchor:"transformers.TFWhisperForConditionalGeneration.call.input_features",description:`<strong>input_features</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values of fbank features extracted from the raw speech waveform. Raw speech waveform can be obtained
by loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em>
via the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/auto#transformers.AutoFeatureExtractor">AutoFeatureExtractor</a> should be used for extracting the fbank features, padding and conversion into a
tensor of type <code>tf.Tensor</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <code>SpeechToTextTokenizer</code>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#decoder-input-ids">What are decoder input IDs?</a></p>
<p>SpeechToText uses the <code>eos_token_id</code> as the starting token for <code>decoder_input_ids</code> generation. If
<code>past_key_values</code> is used, optionally only the last <code>decoder_input_ids</code> have to be input (see
<code>past_key_values</code>).`,name:"decoder_input_ids"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default.</p>
<p>If you want to change padding behavior, you should read
<code>modeling_whisper._prepare_decoder_attention_mask</code> and modify to your needs. See diagram 1 in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the
paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.head_mask",description:`<strong>head_mask</strong> (<code>tf.Tensor</code> of shape <code>(encoder_layers, encoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the encoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_head_mask",description:`<strong>decoder_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the attention modules in the decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"decoder_head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.cross_attn_head_mask",description:`<strong>cross_attn_head_mask</strong> (<code>tf.Tensor</code> of shape <code>(decoder_layers, decoder_attention_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the cross-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"cross_attn_head_mask"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>tuple(tuple(tf.Tensor)</code>, <em>optional</em>) &#x2014;
Tuple consists of (<code>last_hidden_state</code>, <em>optional</em>: <code>hidden_states</code>, <em>optional</em>: <code>attentions</code>)
<code>last_hidden_state</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) is a sequence of
hidden-states at the output of the last layer of the encoder. Used in the cross-attention of the decoder.`,name:"encoder_outputs"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(tf.Tensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) &#x2014;
Tuple of <code>tuple(tf.Tensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.decoder_inputs_embeds",description:`<strong>decoder_inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, target_sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>decoder_input_ids</code> you can choose to directly pass an embedded
representation. If <code>past_key_values</code> is used, optionally only the last <code>decoder_inputs_embeds</code> have to be
input (see <code>past_key_values</code>). This is useful if you want more control over how to convert
<code>decoder_input_ids</code> indices into associated vectors than the model&#x2019;s internal embedding lookup matrix.`,name:"decoder_inputs_embeds"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.TFWhisperForConditionalGeneration.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the language modeling loss. Indices should either be in <code>[0, ..., config.vocab_size]</code>
or -100 (see <code>input_ids</code> docstring). Tokens with indices set to <code>-100</code> are ignored (masked), the loss is
only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_tf_whisper.py#L1241",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) of the decoder that can be
used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_tf_outputs.TFSeq2SeqLMOutput"
>transformers.modeling_tf_outputs.TFSeq2SeqLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),kt=new Vt({props:{$$slots:{default:[pf]},$$scope:{ctx:W}}}),wt=new Oe({props:{anchor:"transformers.TFWhisperForConditionalGeneration.call.example",$$slots:{default:[hf]},$$scope:{ctx:W}}}),pn=new X({}),hn=new F({props:{name:"class transformers.FlaxWhisperModel",anchor:"transformers.FlaxWhisperModel",parameters:[{name:"config",val:": WhisperConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 80, 3000)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWhisperModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWhisperModel.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs). This can be used to enable mixed-precision training or half-precision
inference on GPUs or TPUs. If specified all the computation will be performed with the given <code>dtype</code>.
<strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong> If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a>
and <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1128"}}),yn=new F({props:{name:"__call__",anchor:"transformers.FlaxWhisperModel.__call__",parameters:[{name:"input_features",val:": ndarray"},{name:"decoder_input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxWhisperModel.__call__.input_features",description:`<strong>input_features</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a> should be used for extracting the features, padding and conversion into a
tensor of type <code>numpy.ndarray</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.FlaxWhisperModel.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not support masking of the <code>input_features</code>, this argument is preserved for compatibility, but
is not used. By default the silence in the input log mel spectrogram are ignored.`,name:"attention_mask"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary. Indices can be obtained using
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.
<a href="../glossary#decoder-input-ids">What are decoder input IDs?</a> Whisper uses the <code>decoder_start_token_id</code> as
the starting token for <code>decoder_input_ids</code> generation.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default. If you want to change padding behavior, you should modify to your needs. See diagram 1
in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxWhisperModel.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not use <code>position_ids</code> in the encoder as <code>input_features</code> is always the same size and doesn&#x2019;t
use masking, but this argument is preserved for compatibility. By default the silence in the input log mel
spectrogram are ignored.`,name:"position_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxWhisperModel.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWhisperModel.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWhisperModel.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1073",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the decoder of the model.</p>
<p>If <code>past_key_values</code> is used only the last hidden-state of the sequences of shape <code>(batch_size, 1, hidden_size)</code> is output.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),$t=new Vt({props:{$$slots:{default:[mf]},$$scope:{ctx:W}}}),xt=new Oe({props:{anchor:"transformers.FlaxWhisperModel.__call__.example",$$slots:{default:[uf]},$$scope:{ctx:W}}}),vn=new X({}),bn=new F({props:{name:"class transformers.FlaxWhisperForConditionalGeneration",anchor:"transformers.FlaxWhisperForConditionalGeneration",parameters:[{name:"config",val:": WhisperConfig"},{name:"input_shape",val:": typing.Tuple[int] = (1, 80, 3000)"},{name:"seed",val:": int = 0"},{name:"dtype",val:": dtype = <class 'jax.numpy.float32'>"},{name:"_do_init",val:": bool = True"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.FlaxWhisperForConditionalGeneration.config",description:`<strong>config</strong> (<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig">WhisperConfig</a>) &#x2014; Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.dtype",description:`<strong>dtype</strong> (<code>jax.numpy.dtype</code>, <em>optional</em>, defaults to <code>jax.numpy.float32</code>) &#x2014;
The data type of the computation. Can be one of <code>jax.numpy.float32</code>, <code>jax.numpy.float16</code> (on GPUs) and
<code>jax.numpy.bfloat16</code> (on TPUs). This can be used to enable mixed-precision training or half-precision
inference on GPUs or TPUs. If specified all the computation will be performed with the given <code>dtype</code>.
<strong>Note that this only specifies the dtype of the computation and does not influence the dtype of model
parameters.</strong> If you wish to change the dtype of the model parameters, see <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_fp16">to_fp16()</a>
and <a href="/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel.to_bf16">to_bf16()</a>.`,name:"dtype"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1204"}}),Wn=new F({props:{name:"__call__",anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__",parameters:[{name:"input_features",val:": ndarray"},{name:"decoder_input_ids",val:": ndarray"},{name:"attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_attention_mask",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"decoder_position_ids",val:": typing.Optional[jax._src.numpy.ndarray.ndarray] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"train",val:": bool = False"},{name:"params",val:": dict = None"},{name:"dropout_rng",val:": PRNGKey = None"}],parametersDescription:[{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.input_features",description:`<strong>input_features</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, feature_size, sequence_length)</code>) &#x2014;
Float values mel features extracted from the raw speech waveform. Raw speech waveform can be obtained by
loading a <code>.flac</code> or <code>.wav</code> audio file into an array of type <code>List[float]</code> or a <code>numpy.ndarray</code>, <em>e.g.</em> via
the soundfile library (<code>pip install soundfile</code>). To prepare the array into <code>input_features</code>, the
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor">WhisperFeatureExtractor</a> should be used for extracting the features, padding and conversion into a
tensor of type <code>numpy.ndarray</code>. See <a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"><strong>call</strong>()</a>`,name:"input_features"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.attention_mask",description:`<strong>attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not support masking of the <code>input_features</code>, this argument is preserved for compatibility, but
is not used. By default the silence in the input log mel spectrogram are ignored.`,name:"attention_mask"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary. Indices can be obtained using
<a href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer">WhisperTokenizer</a>. See <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and <a href="/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.
<a href="../glossary#decoder-input-ids">What are decoder input IDs?</a> Whisper uses the <code>decoder_start_token_id</code> as
the starting token for <code>decoder_input_ids</code> generation.`,name:"decoder_input_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_attention_mask",description:`<strong>decoder_attention_mask</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, target_sequence_length)</code>, <em>optional</em>) &#x2014;
Default behavior: generate a tensor that ignores pad tokens in <code>decoder_input_ids</code>. Causal mask will also
be used by default. If you want to change padding behavior, you should modify to your needs. See diagram 1
in <a href="https://arxiv.org/abs/1910.13461" rel="nofollow">the paper</a> for more information on the default strategy.`,name:"decoder_attention_mask"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.position_ids",description:`<strong>position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Whisper does not use <code>position_ids</code> in the encoder as <code>input_features</code> is always the same size and doesn&#x2019;t
use masking, but this argument is preserved for compatibility. By default the silence in the input log mel
spectrogram are ignored.`,name:"position_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.decoder_position_ids",description:`<strong>decoder_position_ids</strong> (<code>numpy.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each decoder input sequence tokens in the position embeddings. Selected in the
range <code>[0, config.max_position_embeddings - 1]</code>.`,name:"decoder_position_ids"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/main/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"}],source:"https://github.com/huggingface/transformers/blob/main/src/transformers/models/whisper/modeling_flax_whisper.py#L1073",returnDescription:`
<p>A <a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/main/en/model_doc/whisper#transformers.WhisperConfig"
>WhisperConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>logits</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(jnp.ndarray))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(jnp.ndarray)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and in the cross-attention
blocks) that can be used (see <code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>decoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the decoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>decoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>encoder_last_hidden_state</strong> (<code>jnp.ndarray</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) \u2014 Sequence of hidden-states at the output of the last layer of the encoder of the model.</p>
</li>
<li>
<p><strong>encoder_hidden_states</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the encoder at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>encoder_attentions</strong> (<code>tuple(jnp.ndarray)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>jnp.ndarray</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the encoder, after the attention softmax, used to compute the weighted average in the
self-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/main/en/main_classes/output#transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput"
>transformers.modeling_flax_outputs.FlaxSeq2SeqLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Ft=new Vt({props:{$$slots:{default:[ff]},$$scope:{ctx:W}}}),zt=new Oe({props:{anchor:"transformers.FlaxWhisperForConditionalGeneration.__call__.example",$$slots:{default:[_f]},$$scope:{ctx:W}}}),{c(){c=n("meta"),x=p(),f=n("h1"),u=n("a"),y=n("span"),v(d.$$.fragment),m=p(),z=n("span"),L=a("Whisper"),P=p(),C=n("h2"),j=n("a"),A=n("span"),v(le.$$.fragment),Mn=p(),Ve=n("span"),li=a("Overview"),Ks=p(),Be=n("p"),ci=a("The Whisper model was proposed in "),Bt=n("a"),pi=a("Robust Speech Recognition via Large-Scale Weak Supervision"),hi=a(" by Alec Radford, Jong Wook Kim, Tao Xu, Greg Brockman, Christine McLeavey, Ilya Sutskever."),Xs=p(),Pn=n("p"),mi=a("The abstract from the paper is the following:"),Qs=p(),jn=n("p"),qr=n("em"),ui=a("We study the capabilities of speech processing systems trained simply to predict large amounts of transcripts of audio on the internet. When scaled to 680,000 hours of multilingual and multitask supervision, the resulting models generalize well to standard benchmarks and are often competitive with prior fully supervised results but in a zeroshot transfer setting without the need for any finetuning. When compared to humans, the models approach their accuracy and robustness. We are releasing models and inference code to serve as a foundation for further work on robust speech processing."),Zs=p(),Cn=n("p"),fi=a("Tips:"),Ys=p(),Q=n("ul"),Er=n("li"),_i=a("The model usually performs well without requiring any finetuning."),gi=p(),Ht=n("li"),yi=a("The architecture follows a classic encoder-decoder architecture, which means that it relies on the "),An=n("a"),vi=a("generate()"),bi=a(" function for inference."),ki=p(),Mr=n("li"),wi=a("Inference is currently only implemented for short-form i.e. audio is pre-segmented into <=30s segments. Long-form (including timestamps) will be implemented in a future release."),Ti=p(),Rt=n("li"),$i=a("One can use "),Nn=n("a"),xi=a("WhisperProcessor"),Wi=a(" to prepare audio for the model, and decode the predicted ID\u2019s back into text."),ea=p(),Z=n("p"),Fi=a("This model was contributed by "),Jt=n("a"),zi=a("Arthur Zucker"),qi=a(". The Tensorflow version of this model was contributed by "),Kt=n("a"),Ei=a("amyeroberts"),Mi=a(`.
The original code can be found `),Xt=n("a"),Pi=a("here"),ji=a("."),ta=p(),ve=n("h2"),He=n("a"),Pr=n("span"),v(Qt.$$.fragment),Ci=p(),jr=n("span"),Ai=a("WhisperConfig"),oa=p(),U=n("div"),v(Zt.$$.fragment),Ni=p(),be=n("p"),Si=a("This is the configuration class to store the configuration of a "),Sn=n("a"),Ii=a("WhisperModel"),Li=a(`. It is used to instantiate a
Whisper model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Whisper
`),Yt=n("a"),Di=a("openai/whisper-tiny"),Oi=a(" architecture."),Gi=p(),ke=n("p"),Ui=a("Configuration objects inherit from "),In=n("a"),Vi=a("PretrainedConfig"),Bi=a(` and can be used to control the model outputs. Read the
documentation from `),Ln=n("a"),Hi=a("PretrainedConfig"),Ri=a(" for more information."),Ji=p(),v(Re.$$.fragment),na=p(),we=n("h2"),Je=n("a"),Cr=n("span"),v(eo.$$.fragment),Ki=p(),Ar=n("span"),Xi=a("WhisperTokenizer"),ra=p(),q=n("div"),v(to.$$.fragment),Qi=p(),Nr=n("p"),Zi=a("Construct a Whisper tokenizer."),Yi=p(),oo=n("p"),ed=a("This tokenizer inherits from "),Dn=n("a"),td=a("PreTrainedTokenizer"),od=a(` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),nd=p(),ce=n("div"),v(no.$$.fragment),rd=p(),Sr=n("p"),sd=a("Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),ad=p(),v(Ke.$$.fragment),id=p(),Xe=n("div"),v(ro.$$.fragment),dd=p(),Ir=n("p"),ld=a("Build model inputs from a sequence by appending eos_token_id."),cd=p(),Qe=n("div"),v(so.$$.fragment),pd=p(),ao=n("p"),hd=a(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lr=n("code"),md=a("prepare_for_model"),ud=a(" method."),fd=p(),pe=n("div"),v(io.$$.fragment),_d=p(),On=n("p"),gd=a("Create the token type IDs corresponding to the sequences passed. "),Gn=n("a"),yd=a(`What are token type
IDs?`),vd=p(),Dr=n("p"),bd=a("Should be overridden in a subclass if the model has a special way of building those."),kd=p(),Un=n("div"),v(lo.$$.fragment),sa=p(),Te=n("h2"),Ze=n("a"),Or=n("span"),v(co.$$.fragment),wd=p(),Gr=n("span"),Td=a("WhisperTokenizerFast"),aa=p(),E=n("div"),v(po.$$.fragment),$d=p(),ho=n("p"),xd=a("Construct a \u201Cfast\u201D Whisper tokenizer (backed by HuggingFace\u2019s "),Ur=n("em"),Wd=a("tokenizers"),Fd=a(" library)."),zd=p(),mo=n("p"),qd=a("This tokenizer inherits from "),Vn=n("a"),Ed=a("PreTrainedTokenizerFast"),Md=a(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Pd=p(),he=n("div"),v(uo.$$.fragment),jd=p(),Vr=n("p"),Cd=a("Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),Ad=p(),v(Ye.$$.fragment),Nd=p(),et=n("div"),v(fo.$$.fragment),Sd=p(),Br=n("p"),Id=a("Build model inputs from a sequence by appending eos_token_id."),Ld=p(),tt=n("div"),v(_o.$$.fragment),Dd=p(),go=n("p"),Od=a(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Hr=n("code"),Gd=a("prepare_for_model"),Ud=a(" method."),Vd=p(),me=n("div"),v(yo.$$.fragment),Bd=p(),Bn=n("p"),Hd=a("Create the token type IDs corresponding to the sequences passed. "),Hn=n("a"),Rd=a(`What are token type
IDs?`),Jd=p(),Rr=n("p"),Kd=a("Should be overridden in a subclass if the model has a special way of building those."),Xd=p(),Rn=n("div"),v(vo.$$.fragment),ia=p(),$e=n("h2"),ot=n("a"),Jr=n("span"),v(bo.$$.fragment),Qd=p(),Kr=n("span"),Zd=a("WhisperFeatureExtractor"),da=p(),D=n("div"),v(ko.$$.fragment),Yd=p(),Xr=n("p"),el=a("Constructs a Whisper feature extractor."),tl=p(),wo=n("p"),ol=a("This feature extractor inherits from "),Jn=n("a"),nl=a("WhisperFeatureExtractor"),rl=a(` which contains most of the main methods. Users
should refer to this superclass for more information regarding those methods.`),sl=p(),xe=n("p"),al=a("This class extracts mel-filter bank features from raw speech using a custom numpy implementation of the "),Qr=n("code"),il=a("Short Time Fourier Transform"),dl=a(" which should match pytorch\u2019s "),Zr=n("code"),ll=a("torch.stft"),cl=a(" equivalent."),pl=p(),nt=n("div"),v(To.$$.fragment),hl=p(),Yr=n("p"),ml=a("Main method to featurize and prepare for the model one or several sequence(s)."),la=p(),We=n("h2"),rt=n("a"),es=n("span"),v($o.$$.fragment),ul=p(),ts=n("span"),fl=a("WhisperProcessor"),ca=p(),M=n("div"),v(xo.$$.fragment),_l=p(),os=n("p"),gl=a(`Constructs a Whisper processor which wraps a Whisper feature extractor and a Whisper tokenizer into a single
processor.`),yl=p(),G=n("p"),Kn=n("a"),vl=a("WhisperProcessor"),bl=a(" offers all the functionalities of "),Xn=n("a"),kl=a("WhisperFeatureExtractor"),wl=a(" and "),Qn=n("a"),Tl=a("WhisperTokenizer"),$l=a(`. See
the `),Wo=n("a"),ns=n("strong"),xl=a("call"),Wl=a("()"),Fl=a(" and "),Zn=n("a"),zl=a("decode()"),ql=a(" for more information."),El=p(),st=n("div"),v(Fo.$$.fragment),Ml=p(),V=n("p"),Pl=a("Forwards the "),rs=n("code"),jl=a("audio"),Cl=a(" argument to WhisperFeatureExtractor\u2019s "),zo=n("a"),ss=n("strong"),Al=a("call"),Nl=a("()"),Sl=a(" and the "),as=n("code"),Il=a("text"),Ll=a(`
argument to `),qo=n("a"),is=n("strong"),Dl=a("call"),Ol=a("()"),Gl=a(`. Please refer to the doctsring of the above two methods for more
information.`),Ul=p(),ue=n("div"),v(Eo.$$.fragment),Vl=p(),ds=n("p"),Bl=a("Instantiate a processor associated with a pretrained model."),Hl=p(),v(at.$$.fragment),Rl=p(),fe=n("div"),v(Mo.$$.fragment),Jl=p(),Po=n("p"),Kl=a(`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Yn=n("a"),Xl=a("from_pretrained()"),Ql=a(" method."),Zl=p(),v(it.$$.fragment),Yl=p(),dt=n("div"),v(jo.$$.fragment),ec=p(),Co=n("p"),tc=a("This method forwards all its arguments to WhisperTokenizer\u2019s "),er=n("a"),oc=a("batch_decode()"),nc=a(`. Please
refer to the docstring of this method for more information.`),rc=p(),lt=n("div"),v(Ao.$$.fragment),sc=p(),No=n("p"),ac=a("This method forwards all its arguments to WhisperTokenizer\u2019s "),tr=n("a"),ic=a("decode()"),dc=a(`. Please refer to
the docstring of this method for more information.`),pa=p(),Fe=n("h2"),ct=n("a"),ls=n("span"),v(So.$$.fragment),lc=p(),cs=n("span"),cc=a("WhisperModel"),ha=p(),O=n("div"),v(Io.$$.fragment),pc=p(),Lo=n("p"),hc=a(`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),or=n("a"),mc=a("PreTrainedModel"),uc=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fc=p(),Do=n("p"),_c=a("This model is also a PyTorch "),Oo=n("a"),gc=a("torch.nn.Module"),yc=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),vc=p(),Y=n("div"),v(Go.$$.fragment),bc=p(),ze=n("p"),kc=a("The "),nr=n("a"),wc=a("WhisperModel"),Tc=a(" forward method, overrides the "),ps=n("code"),$c=a("__call__"),xc=a(" special method."),Wc=p(),v(pt.$$.fragment),Fc=p(),v(ht.$$.fragment),zc=p(),mt=n("div"),v(Uo.$$.fragment),qc=p(),Vo=n("p"),Ec=a(`Masks extracted features along time axis and/or along feature axis according to
`),Bo=n("a"),Mc=a("SpecAugment"),Pc=a("."),ma=p(),qe=n("h2"),ut=n("a"),hs=n("span"),v(Ho.$$.fragment),jc=p(),ms=n("span"),Cc=a("WhisperForConditionalGeneration"),ua=p(),B=n("div"),v(Ro.$$.fragment),Ac=p(),Jo=n("p"),Nc=a(`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),rr=n("a"),Sc=a("PreTrainedModel"),Ic=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lc=p(),Ko=n("p"),Dc=a("This model is also a PyTorch "),Xo=n("a"),Oc=a("torch.nn.Module"),Gc=a(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Uc=p(),ee=n("div"),v(Qo.$$.fragment),Vc=p(),Ee=n("p"),Bc=a("The "),sr=n("a"),Hc=a("WhisperForConditionalGeneration"),Rc=a(" forward method, overrides the "),us=n("code"),Jc=a("__call__"),Kc=a(" special method."),Xc=p(),v(ft.$$.fragment),Qc=p(),v(_t.$$.fragment),fa=p(),Me=n("h2"),gt=n("a"),fs=n("span"),v(Zo.$$.fragment),Zc=p(),_s=n("span"),Yc=a("TFWhisperModel"),_a=p(),H=n("div"),v(Yo.$$.fragment),ep=p(),en=n("p"),tp=a(`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),ar=n("a"),op=a("TFPreTrainedModel"),np=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),rp=p(),tn=n("p"),sp=a("This model is also a "),on=n("a"),ap=a("tf.keras.Model"),ip=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),dp=p(),te=n("div"),v(nn.$$.fragment),lp=p(),Pe=n("p"),cp=a("The "),ir=n("a"),pp=a("TFWhisperModel"),hp=a(" forward method, overrides the "),gs=n("code"),mp=a("__call__"),up=a(" special method."),fp=p(),v(yt.$$.fragment),_p=p(),v(vt.$$.fragment),ga=p(),je=n("h2"),bt=n("a"),ys=n("span"),v(rn.$$.fragment),gp=p(),vs=n("span"),yp=a("TFWhisperForConditionalGeneration"),ya=p(),R=n("div"),v(sn.$$.fragment),vp=p(),an=n("p"),bp=a(`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),dr=n("a"),kp=a("TFPreTrainedModel"),wp=a(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Tp=p(),dn=n("p"),$p=a("This model is also a "),ln=n("a"),xp=a("tf.keras.Model"),Wp=a(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Fp=p(),oe=n("div"),v(cn.$$.fragment),zp=p(),Ce=n("p"),qp=a("The "),lr=n("a"),Ep=a("TFWhisperForConditionalGeneration"),Mp=a(" forward method, overrides the "),bs=n("code"),Pp=a("__call__"),jp=a(" special method."),Cp=p(),v(kt.$$.fragment),Ap=p(),v(wt.$$.fragment),va=p(),Ae=n("h2"),Tt=n("a"),ks=n("span"),v(pn.$$.fragment),Np=p(),ws=n("span"),Sp=a("FlaxWhisperModel"),ba=p(),J=n("div"),v(hn.$$.fragment),Ip=p(),Ne=n("p"),Lp=a(`The bare Whisper Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),cr=n("a"),Dp=a("FlaxPreTrainedModel"),Op=a(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),mn=n("a"),Gp=a("flax.nn.Module"),Up=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),Vp=p(),se=n("ul"),Ts=n("li"),un=n("a"),Bp=a("Just-In-Time (JIT) compilation"),Hp=p(),$s=n("li"),fn=n("a"),Rp=a("Automatic Differentiation"),Jp=p(),xs=n("li"),_n=n("a"),Kp=a("Vectorization"),Xp=p(),Ws=n("li"),gn=n("a"),Qp=a("Parallelization"),Zp=p(),ne=n("div"),v(yn.$$.fragment),Yp=p(),Se=n("p"),eh=a("The "),Fs=n("code"),th=a("FlaxWhisperPreTrainedModel"),oh=a(" forward method, overrides the "),zs=n("code"),nh=a("__call__"),rh=a(" special method."),sh=p(),v($t.$$.fragment),ah=p(),v(xt.$$.fragment),ka=p(),Ie=n("h2"),Wt=n("a"),qs=n("span"),v(vn.$$.fragment),ih=p(),Es=n("span"),dh=a("FlaxWhisperForConditionalGeneration"),wa=p(),K=n("div"),v(bn.$$.fragment),lh=p(),Le=n("p"),ch=a(`The Whisper Model with a language modeling head.
This model inherits from `),pr=n("a"),ph=a("FlaxPreTrainedModel"),hh=a(`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),kn=n("a"),mh=a("flax.nn.Module"),uh=a(` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),fh=p(),ae=n("ul"),Ms=n("li"),wn=n("a"),_h=a("Just-In-Time (JIT) compilation"),gh=p(),Ps=n("li"),Tn=n("a"),yh=a("Automatic Differentiation"),vh=p(),js=n("li"),$n=n("a"),bh=a("Vectorization"),kh=p(),Cs=n("li"),xn=n("a"),wh=a("Parallelization"),Th=p(),re=n("div"),v(Wn.$$.fragment),$h=p(),De=n("p"),xh=a("The "),As=n("code"),Wh=a("FlaxWhisperPreTrainedModel"),Fh=a(" forward method, overrides the "),Ns=n("code"),zh=a("__call__"),qh=a(" special method."),Eh=p(),v(Ft.$$.fragment),Mh=p(),v(zt.$$.fragment),this.h()},l(o){const _=Qu('[data-svelte="svelte-1phssyn"]',document.head);c=r(_,"META",{name:!0,content:!0}),_.forEach(t),x=h(o),f=r(o,"H1",{class:!0});var Fn=s(f);u=r(Fn,"A",{id:!0,class:!0,href:!0});var Ss=s(u);y=r(Ss,"SPAN",{});var Is=s(y);b(d.$$.fragment,Is),Is.forEach(t),Ss.forEach(t),m=h(Fn),z=r(Fn,"SPAN",{});var Ls=s(z);L=i(Ls,"Whisper"),Ls.forEach(t),Fn.forEach(t),P=h(o),C=r(o,"H2",{class:!0});var zn=s(C);j=r(zn,"A",{id:!0,class:!0,href:!0});var Ds=s(j);A=r(Ds,"SPAN",{});var Os=s(A);b(le.$$.fragment,Os),Os.forEach(t),Ds.forEach(t),Mn=h(zn),Ve=r(zn,"SPAN",{});var Gs=s(Ve);li=i(Gs,"Overview"),Gs.forEach(t),zn.forEach(t),Ks=h(o),Be=r(o,"P",{});var qn=s(Be);ci=i(qn,"The Whisper model was proposed in "),Bt=r(qn,"A",{href:!0,rel:!0});var Us=s(Bt);pi=i(Us,"Robust Speech Recognition via Large-Scale Weak Supervision"),Us.forEach(t),hi=i(qn," by Alec Radford, Jong Wook Kim, Tao Xu, Greg Brockman, Christine McLeavey, Ilya Sutskever."),qn.forEach(t),Xs=h(o),Pn=r(o,"P",{});var Vs=s(Pn);mi=i(Vs,"The abstract from the paper is the following:"),Vs.forEach(t),Qs=h(o),jn=r(o,"P",{});var Bs=s(jn);qr=r(Bs,"EM",{});var Hs=s(qr);ui=i(Hs,"We study the capabilities of speech processing systems trained simply to predict large amounts of transcripts of audio on the internet. When scaled to 680,000 hours of multilingual and multitask supervision, the resulting models generalize well to standard benchmarks and are often competitive with prior fully supervised results but in a zeroshot transfer setting without the need for any finetuning. When compared to humans, the models approach their accuracy and robustness. We are releasing models and inference code to serve as a foundation for further work on robust speech processing."),Hs.forEach(t),Bs.forEach(t),Zs=h(o),Cn=r(o,"P",{});var Rs=s(Cn);fi=i(Rs,"Tips:"),Rs.forEach(t),Ys=h(o),Q=r(o,"UL",{});var ie=s(Q);Er=r(ie,"LI",{});var Js=s(Er);_i=i(Js,"The model usually performs well without requiring any finetuning."),Js.forEach(t),gi=h(ie),Ht=r(ie,"LI",{});var En=s(Ht);yi=i(En,"The architecture follows a classic encoder-decoder architecture, which means that it relies on the "),An=r(En,"A",{href:!0});var Sh=s(An);vi=i(Sh,"generate()"),Sh.forEach(t),bi=i(En," function for inference."),En.forEach(t),ki=h(ie),Mr=r(ie,"LI",{});var Ih=s(Mr);wi=i(Ih,"Inference is currently only implemented for short-form i.e. audio is pre-segmented into <=30s segments. Long-form (including timestamps) will be implemented in a future release."),Ih.forEach(t),Ti=h(ie),Rt=r(ie,"LI",{});var $a=s(Rt);$i=i($a,"One can use "),Nn=r($a,"A",{href:!0});var Lh=s(Nn);xi=i(Lh,"WhisperProcessor"),Lh.forEach(t),Wi=i($a," to prepare audio for the model, and decode the predicted ID\u2019s back into text."),$a.forEach(t),ie.forEach(t),ea=h(o),Z=r(o,"P",{});var qt=s(Z);Fi=i(qt,"This model was contributed by "),Jt=r(qt,"A",{href:!0,rel:!0});var Dh=s(Jt);zi=i(Dh,"Arthur Zucker"),Dh.forEach(t),qi=i(qt,". The Tensorflow version of this model was contributed by "),Kt=r(qt,"A",{href:!0,rel:!0});var Oh=s(Kt);Ei=i(Oh,"amyeroberts"),Oh.forEach(t),Mi=i(qt,`.
The original code can be found `),Xt=r(qt,"A",{href:!0,rel:!0});var Gh=s(Xt);Pi=i(Gh,"here"),Gh.forEach(t),ji=i(qt,"."),qt.forEach(t),ta=h(o),ve=r(o,"H2",{class:!0});var xa=s(ve);He=r(xa,"A",{id:!0,class:!0,href:!0});var Uh=s(He);Pr=r(Uh,"SPAN",{});var Vh=s(Pr);b(Qt.$$.fragment,Vh),Vh.forEach(t),Uh.forEach(t),Ci=h(xa),jr=r(xa,"SPAN",{});var Bh=s(jr);Ai=i(Bh,"WhisperConfig"),Bh.forEach(t),xa.forEach(t),oa=h(o),U=r(o,"DIV",{class:!0});var Et=s(U);b(Zt.$$.fragment,Et),Ni=h(Et),be=r(Et,"P",{});var hr=s(be);Si=i(hr,"This is the configuration class to store the configuration of a "),Sn=r(hr,"A",{href:!0});var Hh=s(Sn);Ii=i(Hh,"WhisperModel"),Hh.forEach(t),Li=i(hr,`. It is used to instantiate a
Whisper model according to the specified arguments, defining the model architecture. Instantiating a configuration
with the defaults will yield a similar configuration to that of the Whisper
`),Yt=r(hr,"A",{href:!0,rel:!0});var Rh=s(Yt);Di=i(Rh,"openai/whisper-tiny"),Rh.forEach(t),Oi=i(hr," architecture."),hr.forEach(t),Gi=h(Et),ke=r(Et,"P",{});var mr=s(ke);Ui=i(mr,"Configuration objects inherit from "),In=r(mr,"A",{href:!0});var Jh=s(In);Vi=i(Jh,"PretrainedConfig"),Jh.forEach(t),Bi=i(mr,` and can be used to control the model outputs. Read the
documentation from `),Ln=r(mr,"A",{href:!0});var Kh=s(Ln);Hi=i(Kh,"PretrainedConfig"),Kh.forEach(t),Ri=i(mr," for more information."),mr.forEach(t),Ji=h(Et),b(Re.$$.fragment,Et),Et.forEach(t),na=h(o),we=r(o,"H2",{class:!0});var Wa=s(we);Je=r(Wa,"A",{id:!0,class:!0,href:!0});var Xh=s(Je);Cr=r(Xh,"SPAN",{});var Qh=s(Cr);b(eo.$$.fragment,Qh),Qh.forEach(t),Xh.forEach(t),Ki=h(Wa),Ar=r(Wa,"SPAN",{});var Zh=s(Ar);Xi=i(Zh,"WhisperTokenizer"),Zh.forEach(t),Wa.forEach(t),ra=h(o),q=r(o,"DIV",{class:!0});var N=s(q);b(to.$$.fragment,N),Qi=h(N),Nr=r(N,"P",{});var Yh=s(Nr);Zi=i(Yh,"Construct a Whisper tokenizer."),Yh.forEach(t),Yi=h(N),oo=r(N,"P",{});var Fa=s(oo);ed=i(Fa,"This tokenizer inherits from "),Dn=r(Fa,"A",{href:!0});var em=s(Dn);td=i(em,"PreTrainedTokenizer"),em.forEach(t),od=i(Fa,` which contains some of the main methods. Users should refer to
the superclass for more information regarding such methods.`),Fa.forEach(t),nd=h(N),ce=r(N,"DIV",{class:!0});var ur=s(ce);b(no.$$.fragment,ur),rd=h(ur),Sr=r(ur,"P",{});var tm=s(Sr);sd=i(tm,"Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),tm.forEach(t),ad=h(ur),b(Ke.$$.fragment,ur),ur.forEach(t),id=h(N),Xe=r(N,"DIV",{class:!0});var za=s(Xe);b(ro.$$.fragment,za),dd=h(za),Ir=r(za,"P",{});var om=s(Ir);ld=i(om,"Build model inputs from a sequence by appending eos_token_id."),om.forEach(t),za.forEach(t),cd=h(N),Qe=r(N,"DIV",{class:!0});var qa=s(Qe);b(so.$$.fragment,qa),pd=h(qa),ao=r(qa,"P",{});var Ea=s(ao);hd=i(Ea,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Lr=r(Ea,"CODE",{});var nm=s(Lr);md=i(nm,"prepare_for_model"),nm.forEach(t),ud=i(Ea," method."),Ea.forEach(t),qa.forEach(t),fd=h(N),pe=r(N,"DIV",{class:!0});var fr=s(pe);b(io.$$.fragment,fr),_d=h(fr),On=r(fr,"P",{});var Ph=s(On);gd=i(Ph,"Create the token type IDs corresponding to the sequences passed. "),Gn=r(Ph,"A",{href:!0});var rm=s(Gn);yd=i(rm,`What are token type
IDs?`),rm.forEach(t),Ph.forEach(t),vd=h(fr),Dr=r(fr,"P",{});var sm=s(Dr);bd=i(sm,"Should be overridden in a subclass if the model has a special way of building those."),sm.forEach(t),fr.forEach(t),kd=h(N),Un=r(N,"DIV",{class:!0});var am=s(Un);b(lo.$$.fragment,am),am.forEach(t),N.forEach(t),sa=h(o),Te=r(o,"H2",{class:!0});var Ma=s(Te);Ze=r(Ma,"A",{id:!0,class:!0,href:!0});var im=s(Ze);Or=r(im,"SPAN",{});var dm=s(Or);b(co.$$.fragment,dm),dm.forEach(t),im.forEach(t),wd=h(Ma),Gr=r(Ma,"SPAN",{});var lm=s(Gr);Td=i(lm,"WhisperTokenizerFast"),lm.forEach(t),Ma.forEach(t),aa=h(o),E=r(o,"DIV",{class:!0});var S=s(E);b(po.$$.fragment,S),$d=h(S),ho=r(S,"P",{});var Pa=s(ho);xd=i(Pa,"Construct a \u201Cfast\u201D Whisper tokenizer (backed by HuggingFace\u2019s "),Ur=r(Pa,"EM",{});var cm=s(Ur);Wd=i(cm,"tokenizers"),cm.forEach(t),Fd=i(Pa," library)."),Pa.forEach(t),zd=h(S),mo=r(S,"P",{});var ja=s(mo);qd=i(ja,"This tokenizer inherits from "),Vn=r(ja,"A",{href:!0});var pm=s(Vn);Ed=i(pm,"PreTrainedTokenizerFast"),pm.forEach(t),Md=i(ja,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),ja.forEach(t),Pd=h(S),he=r(S,"DIV",{class:!0});var _r=s(he);b(uo.$$.fragment,_r),jd=h(_r),Vr=r(_r,"P",{});var hm=s(Vr);Cd=i(hm,"Override the prefix tokens appended to the start of the label sequence. This method can be used standalone to"),hm.forEach(t),Ad=h(_r),b(Ye.$$.fragment,_r),_r.forEach(t),Nd=h(S),et=r(S,"DIV",{class:!0});var Ca=s(et);b(fo.$$.fragment,Ca),Sd=h(Ca),Br=r(Ca,"P",{});var mm=s(Br);Id=i(mm,"Build model inputs from a sequence by appending eos_token_id."),mm.forEach(t),Ca.forEach(t),Ld=h(S),tt=r(S,"DIV",{class:!0});var Aa=s(tt);b(_o.$$.fragment,Aa),Dd=h(Aa),go=r(Aa,"P",{});var Na=s(go);Od=i(Na,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),Hr=r(Na,"CODE",{});var um=s(Hr);Gd=i(um,"prepare_for_model"),um.forEach(t),Ud=i(Na," method."),Na.forEach(t),Aa.forEach(t),Vd=h(S),me=r(S,"DIV",{class:!0});var gr=s(me);b(yo.$$.fragment,gr),Bd=h(gr),Bn=r(gr,"P",{});var jh=s(Bn);Hd=i(jh,"Create the token type IDs corresponding to the sequences passed. "),Hn=r(jh,"A",{href:!0});var fm=s(Hn);Rd=i(fm,`What are token type
IDs?`),fm.forEach(t),jh.forEach(t),Jd=h(gr),Rr=r(gr,"P",{});var _m=s(Rr);Kd=i(_m,"Should be overridden in a subclass if the model has a special way of building those."),_m.forEach(t),gr.forEach(t),Xd=h(S),Rn=r(S,"DIV",{class:!0});var gm=s(Rn);b(vo.$$.fragment,gm),gm.forEach(t),S.forEach(t),ia=h(o),$e=r(o,"H2",{class:!0});var Sa=s($e);ot=r(Sa,"A",{id:!0,class:!0,href:!0});var ym=s(ot);Jr=r(ym,"SPAN",{});var vm=s(Jr);b(bo.$$.fragment,vm),vm.forEach(t),ym.forEach(t),Qd=h(Sa),Kr=r(Sa,"SPAN",{});var bm=s(Kr);Zd=i(bm,"WhisperFeatureExtractor"),bm.forEach(t),Sa.forEach(t),da=h(o),D=r(o,"DIV",{class:!0});var _e=s(D);b(ko.$$.fragment,_e),Yd=h(_e),Xr=r(_e,"P",{});var km=s(Xr);el=i(km,"Constructs a Whisper feature extractor."),km.forEach(t),tl=h(_e),wo=r(_e,"P",{});var Ia=s(wo);ol=i(Ia,"This feature extractor inherits from "),Jn=r(Ia,"A",{href:!0});var wm=s(Jn);nl=i(wm,"WhisperFeatureExtractor"),wm.forEach(t),rl=i(Ia,` which contains most of the main methods. Users
should refer to this superclass for more information regarding those methods.`),Ia.forEach(t),sl=h(_e),xe=r(_e,"P",{});var yr=s(xe);al=i(yr,"This class extracts mel-filter bank features from raw speech using a custom numpy implementation of the "),Qr=r(yr,"CODE",{});var Tm=s(Qr);il=i(Tm,"Short Time Fourier Transform"),Tm.forEach(t),dl=i(yr," which should match pytorch\u2019s "),Zr=r(yr,"CODE",{});var $m=s(Zr);ll=i($m,"torch.stft"),$m.forEach(t),cl=i(yr," equivalent."),yr.forEach(t),pl=h(_e),nt=r(_e,"DIV",{class:!0});var La=s(nt);b(To.$$.fragment,La),hl=h(La),Yr=r(La,"P",{});var xm=s(Yr);ml=i(xm,"Main method to featurize and prepare for the model one or several sequence(s)."),xm.forEach(t),La.forEach(t),_e.forEach(t),la=h(o),We=r(o,"H2",{class:!0});var Da=s(We);rt=r(Da,"A",{id:!0,class:!0,href:!0});var Wm=s(rt);es=r(Wm,"SPAN",{});var Fm=s(es);b($o.$$.fragment,Fm),Fm.forEach(t),Wm.forEach(t),ul=h(Da),ts=r(Da,"SPAN",{});var zm=s(ts);fl=i(zm,"WhisperProcessor"),zm.forEach(t),Da.forEach(t),ca=h(o),M=r(o,"DIV",{class:!0});var I=s(M);b(xo.$$.fragment,I),_l=h(I),os=r(I,"P",{});var qm=s(os);gl=i(qm,`Constructs a Whisper processor which wraps a Whisper feature extractor and a Whisper tokenizer into a single
processor.`),qm.forEach(t),yl=h(I),G=r(I,"P",{});var de=s(G);Kn=r(de,"A",{href:!0});var Em=s(Kn);vl=i(Em,"WhisperProcessor"),Em.forEach(t),bl=i(de," offers all the functionalities of "),Xn=r(de,"A",{href:!0});var Mm=s(Xn);kl=i(Mm,"WhisperFeatureExtractor"),Mm.forEach(t),wl=i(de," and "),Qn=r(de,"A",{href:!0});var Pm=s(Qn);Tl=i(Pm,"WhisperTokenizer"),Pm.forEach(t),$l=i(de,`. See
the `),Wo=r(de,"A",{href:!0});var Ch=s(Wo);ns=r(Ch,"STRONG",{});var jm=s(ns);xl=i(jm,"call"),jm.forEach(t),Wl=i(Ch,"()"),Ch.forEach(t),Fl=i(de," and "),Zn=r(de,"A",{href:!0});var Cm=s(Zn);zl=i(Cm,"decode()"),Cm.forEach(t),ql=i(de," for more information."),de.forEach(t),El=h(I),st=r(I,"DIV",{class:!0});var Oa=s(st);b(Fo.$$.fragment,Oa),Ml=h(Oa),V=r(Oa,"P",{});var ge=s(V);Pl=i(ge,"Forwards the "),rs=r(ge,"CODE",{});var Am=s(rs);jl=i(Am,"audio"),Am.forEach(t),Cl=i(ge," argument to WhisperFeatureExtractor\u2019s "),zo=r(ge,"A",{href:!0});var Ah=s(zo);ss=r(Ah,"STRONG",{});var Nm=s(ss);Al=i(Nm,"call"),Nm.forEach(t),Nl=i(Ah,"()"),Ah.forEach(t),Sl=i(ge," and the "),as=r(ge,"CODE",{});var Sm=s(as);Il=i(Sm,"text"),Sm.forEach(t),Ll=i(ge,`
argument to `),qo=r(ge,"A",{href:!0});var Nh=s(qo);is=r(Nh,"STRONG",{});var Im=s(is);Dl=i(Im,"call"),Im.forEach(t),Ol=i(Nh,"()"),Nh.forEach(t),Gl=i(ge,`. Please refer to the doctsring of the above two methods for more
information.`),ge.forEach(t),Oa.forEach(t),Ul=h(I),ue=r(I,"DIV",{class:!0});var vr=s(ue);b(Eo.$$.fragment,vr),Vl=h(vr),ds=r(vr,"P",{});var Lm=s(ds);Bl=i(Lm,"Instantiate a processor associated with a pretrained model."),Lm.forEach(t),Hl=h(vr),b(at.$$.fragment,vr),vr.forEach(t),Rl=h(I),fe=r(I,"DIV",{class:!0});var br=s(fe);b(Mo.$$.fragment,br),Jl=h(br),Po=r(br,"P",{});var Ga=s(Po);Kl=i(Ga,`Saves the attributes of this processor (feature extractor, tokenizer\u2026) in the specified directory so that it
can be reloaded using the `),Yn=r(Ga,"A",{href:!0});var Dm=s(Yn);Xl=i(Dm,"from_pretrained()"),Dm.forEach(t),Ql=i(Ga," method."),Ga.forEach(t),Zl=h(br),b(it.$$.fragment,br),br.forEach(t),Yl=h(I),dt=r(I,"DIV",{class:!0});var Ua=s(dt);b(jo.$$.fragment,Ua),ec=h(Ua),Co=r(Ua,"P",{});var Va=s(Co);tc=i(Va,"This method forwards all its arguments to WhisperTokenizer\u2019s "),er=r(Va,"A",{href:!0});var Om=s(er);oc=i(Om,"batch_decode()"),Om.forEach(t),nc=i(Va,`. Please
refer to the docstring of this method for more information.`),Va.forEach(t),Ua.forEach(t),rc=h(I),lt=r(I,"DIV",{class:!0});var Ba=s(lt);b(Ao.$$.fragment,Ba),sc=h(Ba),No=r(Ba,"P",{});var Ha=s(No);ac=i(Ha,"This method forwards all its arguments to WhisperTokenizer\u2019s "),tr=r(Ha,"A",{href:!0});var Gm=s(tr);ic=i(Gm,"decode()"),Gm.forEach(t),dc=i(Ha,`. Please refer to
the docstring of this method for more information.`),Ha.forEach(t),Ba.forEach(t),I.forEach(t),pa=h(o),Fe=r(o,"H2",{class:!0});var Ra=s(Fe);ct=r(Ra,"A",{id:!0,class:!0,href:!0});var Um=s(ct);ls=r(Um,"SPAN",{});var Vm=s(ls);b(So.$$.fragment,Vm),Vm.forEach(t),Um.forEach(t),lc=h(Ra),cs=r(Ra,"SPAN",{});var Bm=s(cs);cc=i(Bm,"WhisperModel"),Bm.forEach(t),Ra.forEach(t),ha=h(o),O=r(o,"DIV",{class:!0});var ye=s(O);b(Io.$$.fragment,ye),pc=h(ye),Lo=r(ye,"P",{});var Ja=s(Lo);hc=i(Ja,`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),or=r(Ja,"A",{href:!0});var Hm=s(or);mc=i(Hm,"PreTrainedModel"),Hm.forEach(t),uc=i(Ja,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ja.forEach(t),fc=h(ye),Do=r(ye,"P",{});var Ka=s(Do);_c=i(Ka,"This model is also a PyTorch "),Oo=r(Ka,"A",{href:!0,rel:!0});var Rm=s(Oo);gc=i(Rm,"torch.nn.Module"),Rm.forEach(t),yc=i(Ka,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Ka.forEach(t),vc=h(ye),Y=r(ye,"DIV",{class:!0});var Mt=s(Y);b(Go.$$.fragment,Mt),bc=h(Mt),ze=r(Mt,"P",{});var kr=s(ze);kc=i(kr,"The "),nr=r(kr,"A",{href:!0});var Jm=s(nr);wc=i(Jm,"WhisperModel"),Jm.forEach(t),Tc=i(kr," forward method, overrides the "),ps=r(kr,"CODE",{});var Km=s(ps);$c=i(Km,"__call__"),Km.forEach(t),xc=i(kr," special method."),kr.forEach(t),Wc=h(Mt),b(pt.$$.fragment,Mt),Fc=h(Mt),b(ht.$$.fragment,Mt),Mt.forEach(t),zc=h(ye),mt=r(ye,"DIV",{class:!0});var Xa=s(mt);b(Uo.$$.fragment,Xa),qc=h(Xa),Vo=r(Xa,"P",{});var Qa=s(Vo);Ec=i(Qa,`Masks extracted features along time axis and/or along feature axis according to
`),Bo=r(Qa,"A",{href:!0,rel:!0});var Xm=s(Bo);Mc=i(Xm,"SpecAugment"),Xm.forEach(t),Pc=i(Qa,"."),Qa.forEach(t),Xa.forEach(t),ye.forEach(t),ma=h(o),qe=r(o,"H2",{class:!0});var Za=s(qe);ut=r(Za,"A",{id:!0,class:!0,href:!0});var Qm=s(ut);hs=r(Qm,"SPAN",{});var Zm=s(hs);b(Ho.$$.fragment,Zm),Zm.forEach(t),Qm.forEach(t),jc=h(Za),ms=r(Za,"SPAN",{});var Ym=s(ms);Cc=i(Ym,"WhisperForConditionalGeneration"),Ym.forEach(t),Za.forEach(t),ua=h(o),B=r(o,"DIV",{class:!0});var Pt=s(B);b(Ro.$$.fragment,Pt),Ac=h(Pt),Jo=r(Pt,"P",{});var Ya=s(Jo);Nc=i(Ya,`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),rr=r(Ya,"A",{href:!0});var eu=s(rr);Sc=i(eu,"PreTrainedModel"),eu.forEach(t),Ic=i(Ya,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ya.forEach(t),Lc=h(Pt),Ko=r(Pt,"P",{});var ei=s(Ko);Dc=i(ei,"This model is also a PyTorch "),Xo=r(ei,"A",{href:!0,rel:!0});var tu=s(Xo);Oc=i(tu,"torch.nn.Module"),tu.forEach(t),Gc=i(ei,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),ei.forEach(t),Uc=h(Pt),ee=r(Pt,"DIV",{class:!0});var jt=s(ee);b(Qo.$$.fragment,jt),Vc=h(jt),Ee=r(jt,"P",{});var wr=s(Ee);Bc=i(wr,"The "),sr=r(wr,"A",{href:!0});var ou=s(sr);Hc=i(ou,"WhisperForConditionalGeneration"),ou.forEach(t),Rc=i(wr," forward method, overrides the "),us=r(wr,"CODE",{});var nu=s(us);Jc=i(nu,"__call__"),nu.forEach(t),Kc=i(wr," special method."),wr.forEach(t),Xc=h(jt),b(ft.$$.fragment,jt),Qc=h(jt),b(_t.$$.fragment,jt),jt.forEach(t),Pt.forEach(t),fa=h(o),Me=r(o,"H2",{class:!0});var ti=s(Me);gt=r(ti,"A",{id:!0,class:!0,href:!0});var ru=s(gt);fs=r(ru,"SPAN",{});var su=s(fs);b(Zo.$$.fragment,su),su.forEach(t),ru.forEach(t),Zc=h(ti),_s=r(ti,"SPAN",{});var au=s(_s);Yc=i(au,"TFWhisperModel"),au.forEach(t),ti.forEach(t),_a=h(o),H=r(o,"DIV",{class:!0});var Ct=s(H);b(Yo.$$.fragment,Ct),ep=h(Ct),en=r(Ct,"P",{});var oi=s(en);tp=i(oi,`The bare Whisper Model outputting raw hidden-states without any specific head on top.
This model inherits from `),ar=r(oi,"A",{href:!0});var iu=s(ar);op=i(iu,"TFPreTrainedModel"),iu.forEach(t),np=i(oi,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),oi.forEach(t),rp=h(Ct),tn=r(Ct,"P",{});var ni=s(tn);sp=i(ni,"This model is also a "),on=r(ni,"A",{href:!0,rel:!0});var du=s(on);ap=i(du,"tf.keras.Model"),du.forEach(t),ip=i(ni,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ni.forEach(t),dp=h(Ct),te=r(Ct,"DIV",{class:!0});var At=s(te);b(nn.$$.fragment,At),lp=h(At),Pe=r(At,"P",{});var Tr=s(Pe);cp=i(Tr,"The "),ir=r(Tr,"A",{href:!0});var lu=s(ir);pp=i(lu,"TFWhisperModel"),lu.forEach(t),hp=i(Tr," forward method, overrides the "),gs=r(Tr,"CODE",{});var cu=s(gs);mp=i(cu,"__call__"),cu.forEach(t),up=i(Tr," special method."),Tr.forEach(t),fp=h(At),b(yt.$$.fragment,At),_p=h(At),b(vt.$$.fragment,At),At.forEach(t),Ct.forEach(t),ga=h(o),je=r(o,"H2",{class:!0});var ri=s(je);bt=r(ri,"A",{id:!0,class:!0,href:!0});var pu=s(bt);ys=r(pu,"SPAN",{});var hu=s(ys);b(rn.$$.fragment,hu),hu.forEach(t),pu.forEach(t),gp=h(ri),vs=r(ri,"SPAN",{});var mu=s(vs);yp=i(mu,"TFWhisperForConditionalGeneration"),mu.forEach(t),ri.forEach(t),ya=h(o),R=r(o,"DIV",{class:!0});var Nt=s(R);b(sn.$$.fragment,Nt),vp=h(Nt),an=r(Nt,"P",{});var si=s(an);bp=i(si,`The Whisper Model with a language modeling head. Can be used for automatic speech recognition.
This model inherits from `),dr=r(si,"A",{href:!0});var uu=s(dr);kp=i(uu,"TFPreTrainedModel"),uu.forEach(t),wp=i(si,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),si.forEach(t),Tp=h(Nt),dn=r(Nt,"P",{});var ai=s(dn);$p=i(ai,"This model is also a "),ln=r(ai,"A",{href:!0,rel:!0});var fu=s(ln);xp=i(fu,"tf.keras.Model"),fu.forEach(t),Wp=i(ai,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),ai.forEach(t),Fp=h(Nt),oe=r(Nt,"DIV",{class:!0});var St=s(oe);b(cn.$$.fragment,St),zp=h(St),Ce=r(St,"P",{});var $r=s(Ce);qp=i($r,"The "),lr=r($r,"A",{href:!0});var _u=s(lr);Ep=i(_u,"TFWhisperForConditionalGeneration"),_u.forEach(t),Mp=i($r," forward method, overrides the "),bs=r($r,"CODE",{});var gu=s(bs);Pp=i(gu,"__call__"),gu.forEach(t),jp=i($r," special method."),$r.forEach(t),Cp=h(St),b(kt.$$.fragment,St),Ap=h(St),b(wt.$$.fragment,St),St.forEach(t),Nt.forEach(t),va=h(o),Ae=r(o,"H2",{class:!0});var ii=s(Ae);Tt=r(ii,"A",{id:!0,class:!0,href:!0});var yu=s(Tt);ks=r(yu,"SPAN",{});var vu=s(ks);b(pn.$$.fragment,vu),vu.forEach(t),yu.forEach(t),Np=h(ii),ws=r(ii,"SPAN",{});var bu=s(ws);Sp=i(bu,"FlaxWhisperModel"),bu.forEach(t),ii.forEach(t),ba=h(o),J=r(o,"DIV",{class:!0});var It=s(J);b(hn.$$.fragment,It),Ip=h(It),Ne=r(It,"P",{});var xr=s(Ne);Lp=i(xr,`The bare Whisper Model transformer outputting raw hidden-states without any specific head on top.
This model inherits from `),cr=r(xr,"A",{href:!0});var ku=s(cr);Dp=i(ku,"FlaxPreTrainedModel"),ku.forEach(t),Op=i(xr,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),mn=r(xr,"A",{href:!0,rel:!0});var wu=s(mn);Gp=i(wu,"flax.nn.Module"),wu.forEach(t),Up=i(xr,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),xr.forEach(t),Vp=h(It),se=r(It,"UL",{});var Lt=s(se);Ts=r(Lt,"LI",{});var Tu=s(Ts);un=r(Tu,"A",{href:!0,rel:!0});var $u=s(un);Bp=i($u,"Just-In-Time (JIT) compilation"),$u.forEach(t),Tu.forEach(t),Hp=h(Lt),$s=r(Lt,"LI",{});var xu=s($s);fn=r(xu,"A",{href:!0,rel:!0});var Wu=s(fn);Rp=i(Wu,"Automatic Differentiation"),Wu.forEach(t),xu.forEach(t),Jp=h(Lt),xs=r(Lt,"LI",{});var Fu=s(xs);_n=r(Fu,"A",{href:!0,rel:!0});var zu=s(_n);Kp=i(zu,"Vectorization"),zu.forEach(t),Fu.forEach(t),Xp=h(Lt),Ws=r(Lt,"LI",{});var qu=s(Ws);gn=r(qu,"A",{href:!0,rel:!0});var Eu=s(gn);Qp=i(Eu,"Parallelization"),Eu.forEach(t),qu.forEach(t),Lt.forEach(t),Zp=h(It),ne=r(It,"DIV",{class:!0});var Dt=s(ne);b(yn.$$.fragment,Dt),Yp=h(Dt),Se=r(Dt,"P",{});var Wr=s(Se);eh=i(Wr,"The "),Fs=r(Wr,"CODE",{});var Mu=s(Fs);th=i(Mu,"FlaxWhisperPreTrainedModel"),Mu.forEach(t),oh=i(Wr," forward method, overrides the "),zs=r(Wr,"CODE",{});var Pu=s(zs);nh=i(Pu,"__call__"),Pu.forEach(t),rh=i(Wr," special method."),Wr.forEach(t),sh=h(Dt),b($t.$$.fragment,Dt),ah=h(Dt),b(xt.$$.fragment,Dt),Dt.forEach(t),It.forEach(t),ka=h(o),Ie=r(o,"H2",{class:!0});var di=s(Ie);Wt=r(di,"A",{id:!0,class:!0,href:!0});var ju=s(Wt);qs=r(ju,"SPAN",{});var Cu=s(qs);b(vn.$$.fragment,Cu),Cu.forEach(t),ju.forEach(t),ih=h(di),Es=r(di,"SPAN",{});var Au=s(Es);dh=i(Au,"FlaxWhisperForConditionalGeneration"),Au.forEach(t),di.forEach(t),wa=h(o),K=r(o,"DIV",{class:!0});var Ot=s(K);b(bn.$$.fragment,Ot),lh=h(Ot),Le=r(Ot,"P",{});var Fr=s(Le);ch=i(Fr,`The Whisper Model with a language modeling head.
This model inherits from `),pr=r(Fr,"A",{href:!0});var Nu=s(pr);ph=i(Nu,"FlaxPreTrainedModel"),Nu.forEach(t),hh=i(Fr,`. Check the superclass documentation for the generic methods the
library implements for all its models (such as downloading or saving, resizing the input embeddings, pruning heads
etc.) This model is also a Flax Linen
`),kn=r(Fr,"A",{href:!0,rel:!0});var Su=s(kn);mh=i(Su,"flax.nn.Module"),Su.forEach(t),uh=i(Fr,` subclass. Use it as a
regular Flax Module and refer to the Flax documentation for all matter related to general usage and behavior.
Finally, this model supports inherent JAX features such as:`),Fr.forEach(t),fh=h(Ot),ae=r(Ot,"UL",{});var Gt=s(ae);Ms=r(Gt,"LI",{});var Iu=s(Ms);wn=r(Iu,"A",{href:!0,rel:!0});var Lu=s(wn);_h=i(Lu,"Just-In-Time (JIT) compilation"),Lu.forEach(t),Iu.forEach(t),gh=h(Gt),Ps=r(Gt,"LI",{});var Du=s(Ps);Tn=r(Du,"A",{href:!0,rel:!0});var Ou=s(Tn);yh=i(Ou,"Automatic Differentiation"),Ou.forEach(t),Du.forEach(t),vh=h(Gt),js=r(Gt,"LI",{});var Gu=s(js);$n=r(Gu,"A",{href:!0,rel:!0});var Uu=s($n);bh=i(Uu,"Vectorization"),Uu.forEach(t),Gu.forEach(t),kh=h(Gt),Cs=r(Gt,"LI",{});var Vu=s(Cs);xn=r(Vu,"A",{href:!0,rel:!0});var Bu=s(xn);wh=i(Bu,"Parallelization"),Bu.forEach(t),Vu.forEach(t),Gt.forEach(t),Th=h(Ot),re=r(Ot,"DIV",{class:!0});var Ut=s(re);b(Wn.$$.fragment,Ut),$h=h(Ut),De=r(Ut,"P",{});var zr=s(De);xh=i(zr,"The "),As=r(zr,"CODE",{});var Hu=s(As);Wh=i(Hu,"FlaxWhisperPreTrainedModel"),Hu.forEach(t),Fh=i(zr," forward method, overrides the "),Ns=r(zr,"CODE",{});var Ru=s(Ns);zh=i(Ru,"__call__"),Ru.forEach(t),qh=i(zr," special method."),zr.forEach(t),Eh=h(Ut),b(Ft.$$.fragment,Ut),Mh=h(Ut),b(zt.$$.fragment,Ut),Ut.forEach(t),Ot.forEach(t),this.h()},h(){l(c,"name","hf:doc:metadata"),l(c,"content",JSON.stringify(yf)),l(u,"id","whisper"),l(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(u,"href","#whisper"),l(f,"class","relative group"),l(j,"id","overview"),l(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(j,"href","#overview"),l(C,"class","relative group"),l(Bt,"href","https://cdn.openai.com/papers/whisper.pdf"),l(Bt,"rel","nofollow"),l(An,"href","/docs/transformers/main/en/main_classes/text_generation#transformers.GenerationMixin.generate"),l(Nn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor"),l(Jt,"href","https://huggingface.co/ArthurZ"),l(Jt,"rel","nofollow"),l(Kt,"href","https://huggingface.co/amyeroberts"),l(Kt,"rel","nofollow"),l(Xt,"href","https://github.com/openai/whisper"),l(Xt,"rel","nofollow"),l(He,"id","transformers.WhisperConfig"),l(He,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(He,"href","#transformers.WhisperConfig"),l(ve,"class","relative group"),l(Sn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel"),l(Yt,"href","https://huggingface.co/openai/whisper-tiny"),l(Yt,"rel","nofollow"),l(In,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(Ln,"href","/docs/transformers/main/en/main_classes/configuration#transformers.PretrainedConfig"),l(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Je,"id","transformers.WhisperTokenizer"),l(Je,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Je,"href","#transformers.WhisperTokenizer"),l(we,"class","relative group"),l(Dn,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),l(ce,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Xe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Qe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Gn,"href","../glossary#token-type-ids"),l(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Un,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Ze,"id","transformers.WhisperTokenizerFast"),l(Ze,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Ze,"href","#transformers.WhisperTokenizerFast"),l(Te,"class","relative group"),l(Vn,"href","/docs/transformers/main/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),l(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Hn,"href","../glossary#token-type-ids"),l(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Rn,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(E,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ot,"id","transformers.WhisperFeatureExtractor"),l(ot,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ot,"href","#transformers.WhisperFeatureExtractor"),l($e,"class","relative group"),l(Jn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor"),l(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(rt,"id","transformers.WhisperProcessor"),l(rt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(rt,"href","#transformers.WhisperProcessor"),l(We,"class","relative group"),l(Kn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor"),l(Xn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor"),l(Qn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperTokenizer"),l(Wo,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor.__call__"),l(Zn,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperProcessor.decode"),l(zo,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperFeatureExtractor.__call__"),l(qo,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__"),l(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Yn,"href","/docs/transformers/main/en/model_doc/speech_to_text_2#transformers.Speech2Text2Processor.from_pretrained"),l(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(er,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.batch_decode"),l(dt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(tr,"href","/docs/transformers/main/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.decode"),l(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ct,"id","transformers.WhisperModel"),l(ct,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ct,"href","#transformers.WhisperModel"),l(Fe,"class","relative group"),l(or,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Oo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Oo,"rel","nofollow"),l(nr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperModel"),l(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Bo,"href","https://arxiv.org/abs/1904.08779"),l(Bo,"rel","nofollow"),l(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(O,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(ut,"id","transformers.WhisperForConditionalGeneration"),l(ut,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(ut,"href","#transformers.WhisperForConditionalGeneration"),l(qe,"class","relative group"),l(rr,"href","/docs/transformers/main/en/main_classes/model#transformers.PreTrainedModel"),l(Xo,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),l(Xo,"rel","nofollow"),l(sr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.WhisperForConditionalGeneration"),l(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(gt,"id","transformers.TFWhisperModel"),l(gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(gt,"href","#transformers.TFWhisperModel"),l(Me,"class","relative group"),l(ar,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(on,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(on,"rel","nofollow"),l(ir,"href","/docs/transformers/main/en/model_doc/whisper#transformers.TFWhisperModel"),l(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(bt,"id","transformers.TFWhisperForConditionalGeneration"),l(bt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(bt,"href","#transformers.TFWhisperForConditionalGeneration"),l(je,"class","relative group"),l(dr,"href","/docs/transformers/main/en/main_classes/model#transformers.TFPreTrainedModel"),l(ln,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),l(ln,"rel","nofollow"),l(lr,"href","/docs/transformers/main/en/model_doc/whisper#transformers.TFWhisperForConditionalGeneration"),l(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(R,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Tt,"id","transformers.FlaxWhisperModel"),l(Tt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Tt,"href","#transformers.FlaxWhisperModel"),l(Ae,"class","relative group"),l(cr,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),l(mn,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),l(mn,"rel","nofollow"),l(un,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),l(un,"rel","nofollow"),l(fn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),l(fn,"rel","nofollow"),l(_n,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),l(_n,"rel","nofollow"),l(gn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),l(gn,"rel","nofollow"),l(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(Wt,"id","transformers.FlaxWhisperForConditionalGeneration"),l(Wt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Wt,"href","#transformers.FlaxWhisperForConditionalGeneration"),l(Ie,"class","relative group"),l(pr,"href","/docs/transformers/main/en/main_classes/model#transformers.FlaxPreTrainedModel"),l(kn,"href","https://flax.readthedocs.io/en/latest/_autosummary/flax.nn.module.html"),l(kn,"rel","nofollow"),l(wn,"href","https://jax.readthedocs.io/en/latest/jax.html#just-in-time-compilation-jit"),l(wn,"rel","nofollow"),l(Tn,"href","https://jax.readthedocs.io/en/latest/jax.html#automatic-differentiation"),l(Tn,"rel","nofollow"),l($n,"href","https://jax.readthedocs.io/en/latest/jax.html#vectorization-vmap"),l($n,"rel","nofollow"),l(xn,"href","https://jax.readthedocs.io/en/latest/jax.html#parallelization-pmap"),l(xn,"rel","nofollow"),l(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),l(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,_){e(document.head,c),g(o,x,_),g(o,f,_),e(f,u),e(u,y),k(d,y,null),e(f,m),e(f,z),e(z,L),g(o,P,_),g(o,C,_),e(C,j),e(j,A),k(le,A,null),e(C,Mn),e(C,Ve),e(Ve,li),g(o,Ks,_),g(o,Be,_),e(Be,ci),e(Be,Bt),e(Bt,pi),e(Be,hi),g(o,Xs,_),g(o,Pn,_),e(Pn,mi),g(o,Qs,_),g(o,jn,_),e(jn,qr),e(qr,ui),g(o,Zs,_),g(o,Cn,_),e(Cn,fi),g(o,Ys,_),g(o,Q,_),e(Q,Er),e(Er,_i),e(Q,gi),e(Q,Ht),e(Ht,yi),e(Ht,An),e(An,vi),e(Ht,bi),e(Q,ki),e(Q,Mr),e(Mr,wi),e(Q,Ti),e(Q,Rt),e(Rt,$i),e(Rt,Nn),e(Nn,xi),e(Rt,Wi),g(o,ea,_),g(o,Z,_),e(Z,Fi),e(Z,Jt),e(Jt,zi),e(Z,qi),e(Z,Kt),e(Kt,Ei),e(Z,Mi),e(Z,Xt),e(Xt,Pi),e(Z,ji),g(o,ta,_),g(o,ve,_),e(ve,He),e(He,Pr),k(Qt,Pr,null),e(ve,Ci),e(ve,jr),e(jr,Ai),g(o,oa,_),g(o,U,_),k(Zt,U,null),e(U,Ni),e(U,be),e(be,Si),e(be,Sn),e(Sn,Ii),e(be,Li),e(be,Yt),e(Yt,Di),e(be,Oi),e(U,Gi),e(U,ke),e(ke,Ui),e(ke,In),e(In,Vi),e(ke,Bi),e(ke,Ln),e(Ln,Hi),e(ke,Ri),e(U,Ji),k(Re,U,null),g(o,na,_),g(o,we,_),e(we,Je),e(Je,Cr),k(eo,Cr,null),e(we,Ki),e(we,Ar),e(Ar,Xi),g(o,ra,_),g(o,q,_),k(to,q,null),e(q,Qi),e(q,Nr),e(Nr,Zi),e(q,Yi),e(q,oo),e(oo,ed),e(oo,Dn),e(Dn,td),e(oo,od),e(q,nd),e(q,ce),k(no,ce,null),e(ce,rd),e(ce,Sr),e(Sr,sd),e(ce,ad),k(Ke,ce,null),e(q,id),e(q,Xe),k(ro,Xe,null),e(Xe,dd),e(Xe,Ir),e(Ir,ld),e(q,cd),e(q,Qe),k(so,Qe,null),e(Qe,pd),e(Qe,ao),e(ao,hd),e(ao,Lr),e(Lr,md),e(ao,ud),e(q,fd),e(q,pe),k(io,pe,null),e(pe,_d),e(pe,On),e(On,gd),e(On,Gn),e(Gn,yd),e(pe,vd),e(pe,Dr),e(Dr,bd),e(q,kd),e(q,Un),k(lo,Un,null),g(o,sa,_),g(o,Te,_),e(Te,Ze),e(Ze,Or),k(co,Or,null),e(Te,wd),e(Te,Gr),e(Gr,Td),g(o,aa,_),g(o,E,_),k(po,E,null),e(E,$d),e(E,ho),e(ho,xd),e(ho,Ur),e(Ur,Wd),e(ho,Fd),e(E,zd),e(E,mo),e(mo,qd),e(mo,Vn),e(Vn,Ed),e(mo,Md),e(E,Pd),e(E,he),k(uo,he,null),e(he,jd),e(he,Vr),e(Vr,Cd),e(he,Ad),k(Ye,he,null),e(E,Nd),e(E,et),k(fo,et,null),e(et,Sd),e(et,Br),e(Br,Id),e(E,Ld),e(E,tt),k(_o,tt,null),e(tt,Dd),e(tt,go),e(go,Od),e(go,Hr),e(Hr,Gd),e(go,Ud),e(E,Vd),e(E,me),k(yo,me,null),e(me,Bd),e(me,Bn),e(Bn,Hd),e(Bn,Hn),e(Hn,Rd),e(me,Jd),e(me,Rr),e(Rr,Kd),e(E,Xd),e(E,Rn),k(vo,Rn,null),g(o,ia,_),g(o,$e,_),e($e,ot),e(ot,Jr),k(bo,Jr,null),e($e,Qd),e($e,Kr),e(Kr,Zd),g(o,da,_),g(o,D,_),k(ko,D,null),e(D,Yd),e(D,Xr),e(Xr,el),e(D,tl),e(D,wo),e(wo,ol),e(wo,Jn),e(Jn,nl),e(wo,rl),e(D,sl),e(D,xe),e(xe,al),e(xe,Qr),e(Qr,il),e(xe,dl),e(xe,Zr),e(Zr,ll),e(xe,cl),e(D,pl),e(D,nt),k(To,nt,null),e(nt,hl),e(nt,Yr),e(Yr,ml),g(o,la,_),g(o,We,_),e(We,rt),e(rt,es),k($o,es,null),e(We,ul),e(We,ts),e(ts,fl),g(o,ca,_),g(o,M,_),k(xo,M,null),e(M,_l),e(M,os),e(os,gl),e(M,yl),e(M,G),e(G,Kn),e(Kn,vl),e(G,bl),e(G,Xn),e(Xn,kl),e(G,wl),e(G,Qn),e(Qn,Tl),e(G,$l),e(G,Wo),e(Wo,ns),e(ns,xl),e(Wo,Wl),e(G,Fl),e(G,Zn),e(Zn,zl),e(G,ql),e(M,El),e(M,st),k(Fo,st,null),e(st,Ml),e(st,V),e(V,Pl),e(V,rs),e(rs,jl),e(V,Cl),e(V,zo),e(zo,ss),e(ss,Al),e(zo,Nl),e(V,Sl),e(V,as),e(as,Il),e(V,Ll),e(V,qo),e(qo,is),e(is,Dl),e(qo,Ol),e(V,Gl),e(M,Ul),e(M,ue),k(Eo,ue,null),e(ue,Vl),e(ue,ds),e(ds,Bl),e(ue,Hl),k(at,ue,null),e(M,Rl),e(M,fe),k(Mo,fe,null),e(fe,Jl),e(fe,Po),e(Po,Kl),e(Po,Yn),e(Yn,Xl),e(Po,Ql),e(fe,Zl),k(it,fe,null),e(M,Yl),e(M,dt),k(jo,dt,null),e(dt,ec),e(dt,Co),e(Co,tc),e(Co,er),e(er,oc),e(Co,nc),e(M,rc),e(M,lt),k(Ao,lt,null),e(lt,sc),e(lt,No),e(No,ac),e(No,tr),e(tr,ic),e(No,dc),g(o,pa,_),g(o,Fe,_),e(Fe,ct),e(ct,ls),k(So,ls,null),e(Fe,lc),e(Fe,cs),e(cs,cc),g(o,ha,_),g(o,O,_),k(Io,O,null),e(O,pc),e(O,Lo),e(Lo,hc),e(Lo,or),e(or,mc),e(Lo,uc),e(O,fc),e(O,Do),e(Do,_c),e(Do,Oo),e(Oo,gc),e(Do,yc),e(O,vc),e(O,Y),k(Go,Y,null),e(Y,bc),e(Y,ze),e(ze,kc),e(ze,nr),e(nr,wc),e(ze,Tc),e(ze,ps),e(ps,$c),e(ze,xc),e(Y,Wc),k(pt,Y,null),e(Y,Fc),k(ht,Y,null),e(O,zc),e(O,mt),k(Uo,mt,null),e(mt,qc),e(mt,Vo),e(Vo,Ec),e(Vo,Bo),e(Bo,Mc),e(Vo,Pc),g(o,ma,_),g(o,qe,_),e(qe,ut),e(ut,hs),k(Ho,hs,null),e(qe,jc),e(qe,ms),e(ms,Cc),g(o,ua,_),g(o,B,_),k(Ro,B,null),e(B,Ac),e(B,Jo),e(Jo,Nc),e(Jo,rr),e(rr,Sc),e(Jo,Ic),e(B,Lc),e(B,Ko),e(Ko,Dc),e(Ko,Xo),e(Xo,Oc),e(Ko,Gc),e(B,Uc),e(B,ee),k(Qo,ee,null),e(ee,Vc),e(ee,Ee),e(Ee,Bc),e(Ee,sr),e(sr,Hc),e(Ee,Rc),e(Ee,us),e(us,Jc),e(Ee,Kc),e(ee,Xc),k(ft,ee,null),e(ee,Qc),k(_t,ee,null),g(o,fa,_),g(o,Me,_),e(Me,gt),e(gt,fs),k(Zo,fs,null),e(Me,Zc),e(Me,_s),e(_s,Yc),g(o,_a,_),g(o,H,_),k(Yo,H,null),e(H,ep),e(H,en),e(en,tp),e(en,ar),e(ar,op),e(en,np),e(H,rp),e(H,tn),e(tn,sp),e(tn,on),e(on,ap),e(tn,ip),e(H,dp),e(H,te),k(nn,te,null),e(te,lp),e(te,Pe),e(Pe,cp),e(Pe,ir),e(ir,pp),e(Pe,hp),e(Pe,gs),e(gs,mp),e(Pe,up),e(te,fp),k(yt,te,null),e(te,_p),k(vt,te,null),g(o,ga,_),g(o,je,_),e(je,bt),e(bt,ys),k(rn,ys,null),e(je,gp),e(je,vs),e(vs,yp),g(o,ya,_),g(o,R,_),k(sn,R,null),e(R,vp),e(R,an),e(an,bp),e(an,dr),e(dr,kp),e(an,wp),e(R,Tp),e(R,dn),e(dn,$p),e(dn,ln),e(ln,xp),e(dn,Wp),e(R,Fp),e(R,oe),k(cn,oe,null),e(oe,zp),e(oe,Ce),e(Ce,qp),e(Ce,lr),e(lr,Ep),e(Ce,Mp),e(Ce,bs),e(bs,Pp),e(Ce,jp),e(oe,Cp),k(kt,oe,null),e(oe,Ap),k(wt,oe,null),g(o,va,_),g(o,Ae,_),e(Ae,Tt),e(Tt,ks),k(pn,ks,null),e(Ae,Np),e(Ae,ws),e(ws,Sp),g(o,ba,_),g(o,J,_),k(hn,J,null),e(J,Ip),e(J,Ne),e(Ne,Lp),e(Ne,cr),e(cr,Dp),e(Ne,Op),e(Ne,mn),e(mn,Gp),e(Ne,Up),e(J,Vp),e(J,se),e(se,Ts),e(Ts,un),e(un,Bp),e(se,Hp),e(se,$s),e($s,fn),e(fn,Rp),e(se,Jp),e(se,xs),e(xs,_n),e(_n,Kp),e(se,Xp),e(se,Ws),e(Ws,gn),e(gn,Qp),e(J,Zp),e(J,ne),k(yn,ne,null),e(ne,Yp),e(ne,Se),e(Se,eh),e(Se,Fs),e(Fs,th),e(Se,oh),e(Se,zs),e(zs,nh),e(Se,rh),e(ne,sh),k($t,ne,null),e(ne,ah),k(xt,ne,null),g(o,ka,_),g(o,Ie,_),e(Ie,Wt),e(Wt,qs),k(vn,qs,null),e(Ie,ih),e(Ie,Es),e(Es,dh),g(o,wa,_),g(o,K,_),k(bn,K,null),e(K,lh),e(K,Le),e(Le,ch),e(Le,pr),e(pr,ph),e(Le,hh),e(Le,kn),e(kn,mh),e(Le,uh),e(K,fh),e(K,ae),e(ae,Ms),e(Ms,wn),e(wn,_h),e(ae,gh),e(ae,Ps),e(Ps,Tn),e(Tn,yh),e(ae,vh),e(ae,js),e(js,$n),e($n,bh),e(ae,kh),e(ae,Cs),e(Cs,xn),e(xn,wh),e(K,Th),e(K,re),k(Wn,re,null),e(re,$h),e(re,De),e(De,xh),e(De,As),e(As,Wh),e(De,Fh),e(De,Ns),e(Ns,zh),e(De,qh),e(re,Eh),k(Ft,re,null),e(re,Mh),k(zt,re,null),Ta=!0},p(o,[_]){const Fn={};_&2&&(Fn.$$scope={dirty:_,ctx:o}),Re.$set(Fn);const Ss={};_&2&&(Ss.$$scope={dirty:_,ctx:o}),Ke.$set(Ss);const Is={};_&2&&(Is.$$scope={dirty:_,ctx:o}),Ye.$set(Is);const Ls={};_&2&&(Ls.$$scope={dirty:_,ctx:o}),at.$set(Ls);const zn={};_&2&&(zn.$$scope={dirty:_,ctx:o}),it.$set(zn);const Ds={};_&2&&(Ds.$$scope={dirty:_,ctx:o}),pt.$set(Ds);const Os={};_&2&&(Os.$$scope={dirty:_,ctx:o}),ht.$set(Os);const Gs={};_&2&&(Gs.$$scope={dirty:_,ctx:o}),ft.$set(Gs);const qn={};_&2&&(qn.$$scope={dirty:_,ctx:o}),_t.$set(qn);const Us={};_&2&&(Us.$$scope={dirty:_,ctx:o}),yt.$set(Us);const Vs={};_&2&&(Vs.$$scope={dirty:_,ctx:o}),vt.$set(Vs);const Bs={};_&2&&(Bs.$$scope={dirty:_,ctx:o}),kt.$set(Bs);const Hs={};_&2&&(Hs.$$scope={dirty:_,ctx:o}),wt.$set(Hs);const Rs={};_&2&&(Rs.$$scope={dirty:_,ctx:o}),$t.$set(Rs);const ie={};_&2&&(ie.$$scope={dirty:_,ctx:o}),xt.$set(ie);const Js={};_&2&&(Js.$$scope={dirty:_,ctx:o}),Ft.$set(Js);const En={};_&2&&(En.$$scope={dirty:_,ctx:o}),zt.$set(En)},i(o){Ta||(w(d.$$.fragment,o),w(le.$$.fragment,o),w(Qt.$$.fragment,o),w(Zt.$$.fragment,o),w(Re.$$.fragment,o),w(eo.$$.fragment,o),w(to.$$.fragment,o),w(no.$$.fragment,o),w(Ke.$$.fragment,o),w(ro.$$.fragment,o),w(so.$$.fragment,o),w(io.$$.fragment,o),w(lo.$$.fragment,o),w(co.$$.fragment,o),w(po.$$.fragment,o),w(uo.$$.fragment,o),w(Ye.$$.fragment,o),w(fo.$$.fragment,o),w(_o.$$.fragment,o),w(yo.$$.fragment,o),w(vo.$$.fragment,o),w(bo.$$.fragment,o),w(ko.$$.fragment,o),w(To.$$.fragment,o),w($o.$$.fragment,o),w(xo.$$.fragment,o),w(Fo.$$.fragment,o),w(Eo.$$.fragment,o),w(at.$$.fragment,o),w(Mo.$$.fragment,o),w(it.$$.fragment,o),w(jo.$$.fragment,o),w(Ao.$$.fragment,o),w(So.$$.fragment,o),w(Io.$$.fragment,o),w(Go.$$.fragment,o),w(pt.$$.fragment,o),w(ht.$$.fragment,o),w(Uo.$$.fragment,o),w(Ho.$$.fragment,o),w(Ro.$$.fragment,o),w(Qo.$$.fragment,o),w(ft.$$.fragment,o),w(_t.$$.fragment,o),w(Zo.$$.fragment,o),w(Yo.$$.fragment,o),w(nn.$$.fragment,o),w(yt.$$.fragment,o),w(vt.$$.fragment,o),w(rn.$$.fragment,o),w(sn.$$.fragment,o),w(cn.$$.fragment,o),w(kt.$$.fragment,o),w(wt.$$.fragment,o),w(pn.$$.fragment,o),w(hn.$$.fragment,o),w(yn.$$.fragment,o),w($t.$$.fragment,o),w(xt.$$.fragment,o),w(vn.$$.fragment,o),w(bn.$$.fragment,o),w(Wn.$$.fragment,o),w(Ft.$$.fragment,o),w(zt.$$.fragment,o),Ta=!0)},o(o){T(d.$$.fragment,o),T(le.$$.fragment,o),T(Qt.$$.fragment,o),T(Zt.$$.fragment,o),T(Re.$$.fragment,o),T(eo.$$.fragment,o),T(to.$$.fragment,o),T(no.$$.fragment,o),T(Ke.$$.fragment,o),T(ro.$$.fragment,o),T(so.$$.fragment,o),T(io.$$.fragment,o),T(lo.$$.fragment,o),T(co.$$.fragment,o),T(po.$$.fragment,o),T(uo.$$.fragment,o),T(Ye.$$.fragment,o),T(fo.$$.fragment,o),T(_o.$$.fragment,o),T(yo.$$.fragment,o),T(vo.$$.fragment,o),T(bo.$$.fragment,o),T(ko.$$.fragment,o),T(To.$$.fragment,o),T($o.$$.fragment,o),T(xo.$$.fragment,o),T(Fo.$$.fragment,o),T(Eo.$$.fragment,o),T(at.$$.fragment,o),T(Mo.$$.fragment,o),T(it.$$.fragment,o),T(jo.$$.fragment,o),T(Ao.$$.fragment,o),T(So.$$.fragment,o),T(Io.$$.fragment,o),T(Go.$$.fragment,o),T(pt.$$.fragment,o),T(ht.$$.fragment,o),T(Uo.$$.fragment,o),T(Ho.$$.fragment,o),T(Ro.$$.fragment,o),T(Qo.$$.fragment,o),T(ft.$$.fragment,o),T(_t.$$.fragment,o),T(Zo.$$.fragment,o),T(Yo.$$.fragment,o),T(nn.$$.fragment,o),T(yt.$$.fragment,o),T(vt.$$.fragment,o),T(rn.$$.fragment,o),T(sn.$$.fragment,o),T(cn.$$.fragment,o),T(kt.$$.fragment,o),T(wt.$$.fragment,o),T(pn.$$.fragment,o),T(hn.$$.fragment,o),T(yn.$$.fragment,o),T($t.$$.fragment,o),T(xt.$$.fragment,o),T(vn.$$.fragment,o),T(bn.$$.fragment,o),T(Wn.$$.fragment,o),T(Ft.$$.fragment,o),T(zt.$$.fragment,o),Ta=!1},d(o){t(c),o&&t(x),o&&t(f),$(d),o&&t(P),o&&t(C),$(le),o&&t(Ks),o&&t(Be),o&&t(Xs),o&&t(Pn),o&&t(Qs),o&&t(jn),o&&t(Zs),o&&t(Cn),o&&t(Ys),o&&t(Q),o&&t(ea),o&&t(Z),o&&t(ta),o&&t(ve),$(Qt),o&&t(oa),o&&t(U),$(Zt),$(Re),o&&t(na),o&&t(we),$(eo),o&&t(ra),o&&t(q),$(to),$(no),$(Ke),$(ro),$(so),$(io),$(lo),o&&t(sa),o&&t(Te),$(co),o&&t(aa),o&&t(E),$(po),$(uo),$(Ye),$(fo),$(_o),$(yo),$(vo),o&&t(ia),o&&t($e),$(bo),o&&t(da),o&&t(D),$(ko),$(To),o&&t(la),o&&t(We),$($o),o&&t(ca),o&&t(M),$(xo),$(Fo),$(Eo),$(at),$(Mo),$(it),$(jo),$(Ao),o&&t(pa),o&&t(Fe),$(So),o&&t(ha),o&&t(O),$(Io),$(Go),$(pt),$(ht),$(Uo),o&&t(ma),o&&t(qe),$(Ho),o&&t(ua),o&&t(B),$(Ro),$(Qo),$(ft),$(_t),o&&t(fa),o&&t(Me),$(Zo),o&&t(_a),o&&t(H),$(Yo),$(nn),$(yt),$(vt),o&&t(ga),o&&t(je),$(rn),o&&t(ya),o&&t(R),$(sn),$(cn),$(kt),$(wt),o&&t(va),o&&t(Ae),$(pn),o&&t(ba),o&&t(J),$(hn),$(yn),$($t),$(xt),o&&t(ka),o&&t(Ie),$(vn),o&&t(wa),o&&t(K),$(bn),$(Wn),$(Ft),$(zt)}}}const yf={local:"whisper",sections:[{local:"overview",title:"Overview"},{local:"transformers.WhisperConfig",title:"WhisperConfig"},{local:"transformers.WhisperTokenizer",title:"WhisperTokenizer"},{local:"transformers.WhisperTokenizerFast",title:"WhisperTokenizerFast"},{local:"transformers.WhisperFeatureExtractor",title:"WhisperFeatureExtractor"},{local:"transformers.WhisperProcessor",title:"WhisperProcessor"},{local:"transformers.WhisperModel",title:"WhisperModel"},{local:"transformers.WhisperForConditionalGeneration",title:"WhisperForConditionalGeneration"},{local:"transformers.TFWhisperModel",title:"TFWhisperModel"},{local:"transformers.TFWhisperForConditionalGeneration",title:"TFWhisperForConditionalGeneration"},{local:"transformers.FlaxWhisperModel",title:"FlaxWhisperModel"},{local:"transformers.FlaxWhisperForConditionalGeneration",title:"FlaxWhisperForConditionalGeneration"}],title:"Whisper"};function vf(W){return Zu(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Wf extends Ju{constructor(c){super();Ku(this,c,vf,gf,Xu,{})}}export{Wf as default,yf as metadata};
